=== release 1.20.4 ===

2022-10-12 16:39:47 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* docs/gst_plugins_cache.json:
	* gst-plugins-good.doap:
	* meson.build:
	  Release 1.20.4

2022-10-12 16:39:40 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.4

2022-09-30 18:57:01 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/multifile/gstsplitmuxpartreader.c:
	  splitmuxsrc: don't consider unlinked pads when deactivating part
	  If splitmuxsrc exposes multiple pads, but only one is linked, part pads
	  will never see an EOS event. This shouldn't prevent the part from being
	  eventually deactivated.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3148>

2022-10-06 15:02:22 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: Retry SETUP with non-compliant URL resolution on "Bad Request" and "Not found"
	  Various RTSP servers/cameras assume base and control URL to be simply
	  appended instead of being resolved according to the relative URL
	  resolution algorithm as mandated by the RTSP specification.
	  To work around this, try using such a non-compliant control URL if the
	  server didn't like the URL used in the first SETUP request.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1447
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/922
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3137>

2022-09-27 13:56:54 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: guard against timestamp calculation overflow in gap event loop
	  Could possibly cause an endless loop.
	  Fixes #1400.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3085>

2022-09-02 17:21:43 +0300  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/elements/rtpjitterbuffer.c:
	  rtpjitterbuffer: Add test for crash caused by removing timers twice
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2996>

2022-09-02 12:20:58 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: Make it more explicit that update_rtx_timers() takes ownership of the passed in timer
	  It is not valid anymore afterwards and must not be used, otherwise an
	  already freed pointer might be used.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2996>

2022-09-02 12:20:30 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: Don't shadow variable
	  While this didn't cause any problems in this context it is simply
	  confusing.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2996>

2022-09-02 12:19:26 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: Change RTX timer availability checks to assertions
	  It's impossible to end up in the corresponding code without a timer for
	  RTX packets because otherwise it would be an unsolicited RTX packet and
	  we would've already returned early.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2996>

2022-09-02 12:17:39 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: Only unschedule timers for late packets if they're not RTX packets and only once
	  Timers for RTX packets are dealt with later in update_rtx_timers(), and
	  timers for non-RTX packets would potentially also be unscheduled a
	  second time from there so avoid that.
	  Also don't shadow the timer variable from the outer scope but instead
	  make use of it directly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2996>

2022-08-18 17:08:51 +0300  Raul Tambre <raul@tambre.ee>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	* tests/check/elements/rtpjitterbuffer.c:
	  rtpjitterbuffer: remove lost timer for out of order packets
	  When receiving old packets remove the running lost timer if present.
	  This fixes incorrect reporting of a lost packet even if it arrived in time.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2995>

2022-08-26 18:42:44 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtp/gstrtpvp8depay.c:
	  rtpvp8depay: If configured to wait for keyframes after packet loss, also do that if incomplete frames are detected
	  This can happen if the data inside the packets is incomplete without the
	  seqnums being discontinuous because of ULPFEC being used.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2988>

2022-08-24 17:30:34 +0800  Jianhui Dai <jianhui.j.dai@intel.com>

	* sys/v4l2/gstv4l2allocator.c:
	  v4l2allocator: Fix invalid imported dmabuf fd
	  Fix a typo that set userptr to dmabuf fd. It leads to failure of
	  dmabuf-import io-mode.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2940>

2022-08-23 10:28:30 +0000  zhiyuan.liu <zhiyuan.liu@seraphic-corp.com>

	* gst/isomp4/gstisoff.c:
	  isoff: Fix earliest pts field parse issue
	  earliest pts will be covered by first_offset field on version 0 case.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2934>

2022-08-17 09:11:52 +1000  Jan Schmidt <jan@centricular.com>

	* gst/multifile/gstsplitmuxsrc.c:
	  splitmuxsrc: Stop pad task before cleanup
	  When stopping the element, make sure the pad task
	  is stopped before destroying the part readers.
	  Closes a race where the pad task might access
	  a freed pointer.
	  Also add a guard against this sort of thing
	  by holding a ref to the reader in the pad loop.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2902>

2022-08-12 20:20:43 +1000  Jan Schmidt <jan@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Avoid crash on reconfiguring.
	  When reconfiguring a stream that never created
	  an output pad, don't access a NULL GstPad pointer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2900>

2022-08-15 14:30:50 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Fix debug trace
	  The tracing of the buffer pointer was done on the secondary pointer, which
	  does not match with other traces of the same buffer. This made the trace
	  confusing and less useful.
	  Fixes #1379
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2898>

2022-08-12 13:20:01 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: Consider the actual control base URI also in case the connection URI contains a query string
	  That is, get rid of unnecessary and wrong special-casing.
	  This could always use gst_rtsp_url_get_request_uri_with_control() but as
	  we only have the control base URI as string it is easier to just call
	  gst_uri_join_strings().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2877>

2022-08-12 02:20:40 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/rtpmanager/gstrtpst2022-1-fecenc.c:
	  rtpst2022-1-fecenc: Drain column packets on EOS
	  Otherwise we won't send the protection packets for the last few
	  packets when a stream ends.
	  Also send EOS on the FEC src row pad immediately, and on the FEC src
	  column pad after draining is complete. This makes it so that the FEC
	  src pads on rtpbin behave the same way as the RTCP src pads on rtpbin
	  when EOS is received on the send_rtp_sink pad.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2874>

2022-08-11 08:48:08 +0200  Edward Hervey <edward@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Don't use invalid values from failed trex parsing
	  If parsing the fragment default values (`trex` atom) failed, don't try to
	  compute a bogus sample_description_id value.
	  Fixes #1369
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2862>

2022-08-04 18:09:52 +0800  Haihua Hu <jared.hu@nxp.com>

	* gst/alpha/gstalpha.c:
	  alpha: fix stride issue when out buffer has padding on right
	  if outbuf has padding on right, need jump to next line use stride,
	  otherwise downstream element will show a wrong picture when use the
	  same stride
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2854>

2022-05-25 18:40:30 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtsp+rtmp: Forward warning added to tls-validation-flags to our users
	  With the 2.72 release, glib-networking developers have decided that
	  TLS certificate validation cannot be implemented correctly by them, so
	  they've deprecated it.
	  In a nutshell: a cert can have several validation errors, but there
	  are no guarantees that the TLS backend will return all those errors,
	  and things are made even more complicated by the fact that the list of
	  errors might refer to certs that are added for backwards-compat and
	  won't actually be used by the TLS library.
	  Our best option is to ignore the deprecation and pass the warning onto
	  users so they can make an appropriate security decision regarding
	  this.
	  We can't deprecate the tls-validation-flags property because it is
	  very useful when connecting to RTSP cameras that will never get
	  updates to fix certificate errors.
	  Relevant upstream merge requests / issues:
	  https://gitlab.gnome.org/GNOME/glib/-/merge_requests/2214
	  https://gitlab.gnome.org/GNOME/glib-networking/-/issues/179
	  https://gitlab.gnome.org/GNOME/glib-networking/-/merge_requests/193
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2818>

2022-07-27 15:44:09 +0200  Adrian Fiergolski <adrian.fiergolski@fastree3d.com>

	* gst/videofilter/gstvideoflip.c:
	  videoflip: Fix caps negotiation when method is selected
	  The caps negotiation should respect the selected method to the test pipeline below works properly.
	  gst-launch-1.0 videotestsrc ! video/x-raw,width=320,height=600 ! videoflip method=clockwise ! video/x-raw,width=600,height=320 ! fakesink
	  Signed-off-by: Adrian Fiergolski <adrian.fiergolski@fastree3d.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2815>

2022-07-24 23:44:10 -0400  fduncanh <fduncanh@gmail.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object.c: add support for Apple's full-range bt709 colorspace variant
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2806>

2022-07-08 18:22:58 +0800  Elliot Chen <elliot.chen@nxp.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2: fix the critical log when unreference the buffer with no data
	  In the trick mode, driver may queue a valid buffer follow by an
	  empty buffer which has no valid data to indicate EOS.For the empty
	  buffer whose memory is multi-plane, need to resize it before
	  unreference it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2794>

2022-07-15 13:22:14 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/qt/qtglrenderer.cc:
	  qt: Fix another instance of Qt/GStreamer both defining `GLsync` differently
	  In file included from ../gstreamer1.0-plugins-good/1.20.3-r0/recipe-sysroot/usr/include/gstreamer-1.0/gst/gl/gstglfuncs.h:87,
	  from ../gst-plugins-good-1.20.3/ext/qt/qtglrenderer.cc:14:
	  ../gstreamer1.0-plugins-good/1.20.3-r0/recipe-sysroot/usr/include/gstreamer-1.0/gst/gl/glprototypes/gstgl_compat.h:40:18: error: conflicting declaration 'typedef void* GLsync'
	  40 | typedef gpointer GLsync;
	  |                  ^~~~~~
	  In file included from ../gstreamer1.0-plugins-good/1.20.3-r0/recipe-sysroot/usr/include/QtGui/qopengl.h:127,
	  from ../gstreamer1.0-plugins-good/1.20.3-r0/recipe-sysroot/usr/include/QtQuick/qsggeometry.h:44,
	  from ../gstreamer1.0-plugins-good/1.20.3-r0/recipe-sysroot/usr/include/QtQuick/qsgnode.h:43,
	  from ../gstreamer1.0-plugins-good/1.20.3-r0/recipe-sysroot/usr/include/QtQuick/qsgrendererinterface.h:43,
	  from ../gstreamer1.0-plugins-good/1.20.3-r0/recipe-sysroot/usr/include/QtQuick/qquickwindow.h:44,
	  from ../gstreamer1.0-plugins-good/1.20.3-r0/recipe-sysroot/usr/include/QtQuick/QQuickWindow:1,
	  from ../gst-plugins-good-1.20.3/ext/qt/qtglrenderer.cc:6:
	  ../gstreamer1.0-plugins-good/1.20.3-r0/recipe-sysroot/usr/include/QtGui/qopengles2ext.h:24:26: note: previous declaration as 'typedef struct __GLsync* GLsync'
	  24 | typedef struct __GLsync *GLsync;
	  |                          ^~~~~~
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2771>

2022-07-15 06:40:05 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/osxaudio/gstosxaudiodeviceprovider.c:
	* sys/osxaudio/gstosxcoreaudiohal.c:
	  osxaudio: Fix deprecation in macOS 12.0
	  kAudioObjectPropertyElementMaster has been renamed to
	  kAudioObjectPropertyElementMain
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2764>

2022-07-12 21:19:35 +1000  Jan Schmidt <jan@centricular.com>

	* gst/multifile/gstsplitmuxsink.c:
	  splitmuxsink: Fix memory leak
	  Fix a leak of the buffer info struct when reaching
	  EOS without data on the reference input.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2753>

2022-04-14 01:19:51 +0900  Seungha Yang <seungha@centricular.com>

	* gst/multifile/gstsplitmuxsink.c:
	* tests/check/elements/splitmuxsink.c:
	  splitmuxsink: Don't crash on EOS without buffer
	  Fix a case where upstream pushed EOS without buffers.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2753>

2022-05-28 15:04:10 -0400  fduncanh <fduncanh@gmail.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: replace multiple decoder bug warnings with single one
	  Achieve this by dropping frames after a drain if the driver failed to so.
	  This works around RaspberryPi driver issue [1].
	  [1] https://github.com/raspberrypi/linux/issues/5059#issuecomment-
	  Fixes #1103
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2710>

2022-06-29 10:55:13 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  coding style: allow declarations after statement
	  See https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1243/
	  and https://gitlab.freedesktop.org/gstreamer/gstreamer-project/-/issues/78
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2702>

2022-06-25 19:50:10 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/meson.build:
	  tests: skip unit tests for dependency-less elements that have been disabled
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1136
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2672>

2022-06-28 01:29:06 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/dv/meson.build:
	  dv, opusparse: fix duplicate symbols in static build
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1262
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2673>

2022-06-24 12:10:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/examples/jack/meson.build:
	  examples: don't try and build jack examples if jack was disabled
	  Fixes meson build ERROR: Unknown variable "libjack_dep".
	  Fixes #1301
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2658>

2022-02-07 17:51:39 -0500  Tristan Matthews <tmatth@videolan.org>

	* gst/matroska/matroska-mux.c:
	  matroskamux: allow width+height caps changes for VP8/9
	  For VP8 and VP9, width+height changes are signalled inband.
	  Refs https://github.com/Kurento/bugtracker/issues/535 and
	  https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1047/diffs?commit
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2640>

2022-02-07 16:41:40 -0500  Tristan Matthews <tmatth@videolan.org>

	* gst/matroska/matroska-mux.c:
	  matroskamux: allow width + height changes for avc3|hev1
	  For avc3 and hev1, the intent was to allow more flexibility for caps changes
	  (see https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1047/diffs?commit_id=9bd8d608d5bae27ec5ff09e733f76ca32b17420c)
	  however width and resolution were previously omitted.
	  avc3 and hev1 specifically support changing stream-parameters on the fly, whereas avc1/hvc1 disallow in-band SPS.
	  This commit allows for changes to width and height for these which is in line with matroskamux's behaviour prior to 1.14.0.
	  Practically speaking, one use case where this is commonly seen is when capturing a WebRTC stream, as the browser will adapt the resolution live.
	  Suggested-by: Mathieu Duponchelle "<mathieu@centricular.com>"
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2640>

2022-06-16 00:59:00 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/gst_plugins_cache.json:
	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2619>

=== release 1.20.3 ===

2022-06-15 23:36:18 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* docs/gst_plugins_cache.json:
	* gst-plugins-good.doap:
	* meson.build:
	  Release 1.20.3

2022-06-15 23:36:10 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.3

2022-05-18 10:23:15 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/matroska/matroska-demux.c:
	  matroskademux: Avoid integer-overflow resulting in heap corruption in WavPack header handling code
	  blocksize + WAVPACK4_HEADER_SIZE might overflow gsize, which then
	  results in allocating a very small buffer. Into that buffer blocksize
	  data is memcpy'd later which then causes out of bound writes and can
	  potentially lead to anything from crashes to remote code execution.
	  Thanks to Adam Doupe for analyzing and reporting the issue.
	  CVE: CVE-2022-1920
	  https://gstreamer.freedesktop.org/security/sa-2022-0004.html
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1226
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2613>

2022-05-30 10:15:37 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Fix integer overflows in zlib decompression code
	  Various variables were of smaller types than needed and there were no
	  checks for any overflows when doing additions on the sizes. This is all
	  checked now.
	  In addition the size of the decompressed data is limited to 200MB now as
	  any larger sizes are likely pathological and we can avoid out of memory
	  situations in many cases like this.
	  Also fix a bug where the available output size on the next iteration in
	  the zlib decompression code was provided too large and could
	  potentially lead to out of bound writes.
	  Thanks to Adam Doupe for analyzing and reporting the issue.
	  CVE: tbd
	  https://gstreamer.freedesktop.org/security/sa-2022-0003.html
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1225
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2611>

2022-05-18 11:24:37 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/matroska/matroska-read-common.c:
	  matroskademux: Fix integer overflows in zlib/bz2/etc decompression code
	  Various variables were of smaller types than needed and there were no
	  checks for any overflows when doing additions on the sizes. This is all
	  checked now.
	  In addition the size of the decompressed data is limited to 120MB now as
	  any larger sizes are likely pathological and we can avoid out of memory
	  situations in many cases like this.
	  Also fix a bug where the available output size on the next iteration in
	  the zlib/bz2 decompression code was provided too large and could
	  potentially lead to out of bound writes.
	  Thanks to Adam Doupe for analyzing and reporting the issue.
	  CVE: CVE-2022-1922, CVE-2022-1923, CVE-2022-1924, CVE-2022-1925
	  https://gstreamer.freedesktop.org/security/sa-2022-0002.html
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1225
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2611>

2022-05-18 12:00:48 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/avi/gstavidemux.c:
	  avidemux: Fix integer overflow resulting in heap corruption in DIB buffer inversion code
	  Check that width*bpp/8 doesn't overflow a guint and also that
	  height*stride fits into the provided buffer without overflowing.
	  Thanks to Adam Doupe for analyzing and reporting the issue.
	  CVE: CVE-2022-1921
	  See https://gstreamer.freedesktop.org/security/sa-2022-0001.html
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1224
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2609>

2022-05-19 04:16:25 +0000  Adam Doupe <adamdoupe@gmail.com>

	* gst/smpte/gstmask.c:
	  smpte: Fix integer overflow with possible heap corruption in GstMask creation.
	  Check that width*height*sizeof(guint32) doesn't overflow when
	  allocated user_data for mask, potential for heap overwrite when
	  inverting.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1231
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2605>

2022-06-07 17:31:43 +0200  Bastien Nocera <hadess@hadess.net>

	* ext/gtk/gtkgstglwidget.c:
	  gtk: Fix double-free when OpenGL can't be initialised
	  gtk_gl_area_get_error() doesn't return a copy of the error, but just the
	  error. If initialising OpenGL fails, then GtkGstGLWidget will consume
	  the error, and cause GTK to try and display freed memory.
	  ==50914== Invalid read of size 8
	  ==50914==    at 0x4C4CB8A: gtk_gl_area_draw_error_screen (gtkglarea.c:663)
	  ==50914==    by 0x4C4CB8A: gtk_gl_area_draw (gtkglarea.c:687)
	  ==50914==    by 0x4E061CA: gtk_widget_draw_internal (gtkwidget.c:7084)
	  ==50914==    by 0x4BAEFB1: gtk_container_propagate_draw (gtkcontainer.c:3854)
	  ==50914==    by 0x4D4B6BF: gtk_stack_render (gtkstack.c:2207)
	  ==50914==    by 0x4BB4B03: gtk_css_custom_gadget_draw (gtkcsscustomgadget.c:159)
	  ==50914==    by 0x4BBA4C4: gtk_css_gadget_draw (gtkcssgadget.c:885)
	  ==50914==    by 0x4D4D780: gtk_stack_draw (gtkstack.c:2119)
	  ==50914==    by 0x4E061CA: gtk_widget_draw_internal (gtkwidget.c:7084)
	  ==50914==    by 0x4BAEFB1: gtk_container_propagate_draw (gtkcontainer.c:3854)
	  ==50914==    by 0x4BAF0C3: gtk_container_draw (gtkcontainer.c:3674)
	  ==50914==    by 0x4E061CA: gtk_widget_draw_internal (gtkwidget.c:7084)
	  ==50914==    by 0x4BAEFB1: gtk_container_propagate_draw (gtkcontainer.c:3854)
	  ==50914==  Address 0x187a0818 is 8 bytes inside a block of size 16 free'd
	  ==50914==    at 0x48480E4: free (vg_replace_malloc.c:872)
	  ==50914==    by 0x49A5B8C: g_free (gmem.c:218)
	  ==50914==    by 0x49C1013: g_slice_free1 (gslice.c:1183)
	  ==50914==    by 0x4990DE4: g_error_free (gerror.c:870)
	  ==50914==    by 0x4990FE9: g_clear_error (gerror.c:1052)
	  ==50914==    by 0x1A489780: _get_gl_context (gtkgstglwidget.c:540)
	  ==50914==    by 0x1A4863CB: gst_gtk_invoke_func (gstgtkutils.c:39)
	  ==50914==    by 0x49A3834: g_main_context_invoke_full (gmain.c:6137)
	  ==50914==    by 0x1A486450: gst_gtk_invoke_on_main (gstgtkutils.c:59)
	  ==50914==    by 0x1A48A29E: gtk_gst_gl_widget_init_winsys (gtkgstglwidget.c:632)
	  ==50914==    by 0x1A4887E7: gst_gtk_gl_sink_start (gstgtkglsink.c:267)
	  ==50914==    by 0x6579810: gst_base_sink_change_state (gstbasesink.c:5662)
	  ==50914==  Block was alloc'd at
	  ==50914==    at 0x484586F: malloc (vg_replace_malloc.c:381)
	  ==50914==    by 0x49A9278: g_malloc (gmem.c:125)
	  ==50914==    by 0x49C1BA5: g_slice_alloc (gslice.c:1072)
	  ==50914==    by 0x49C3BCC: g_slice_alloc0 (gslice.c:1098)
	  ==50914==    by 0x499096B: g_error_allocate (gerror.c:708)
	  ==50914==    by 0x4990AF1: UnknownInlinedFun (gerror.c:722)
	  ==50914==    by 0x4990AF1: g_error_copy (gerror.c:892)
	  ==50914==    by 0x4C4B9F9: gtk_gl_area_set_error (gtkglarea.c:1036)
	  ==50914==    by 0x4C4BAF7: gtk_gl_area_real_create_context (gtkglarea.c:346)
	  ==50914==    by 0x4B21B28: _gtk_marshal_OBJECT__VOIDv (gtkmarshalers.c:2730)
	  ==50914==    by 0x4920B78: UnknownInlinedFun (gclosure.c:893)
	  ==50914==    by 0x4920B78: g_signal_emit_valist (gsignal.c:3406)
	  ==50914==    by 0x4920CB2: g_signal_emit (gsignal.c:3553)
	  ==50914==    by 0x4C4B927: gtk_gl_area_realize (gtkglarea.c:308)
	  Reproduced by running:
	  MESA_GL_VERSION_OVERRIDE=2.7 totem
	  See https://gitlab.gnome.org/GNOME/totem/-/issues/522
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2567>

2022-06-03 18:35:54 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/audioparsers/gstaacparse.c:
	  aacparse: Avoid mismatch between src_caps and output_header_type
	  If our downstream caps didn't intersect, we attempted to convert between
	  raw and ADTS stream formats, if possible. If the caps still did not
	  intersect, we then used the modified `src_caps` but left the
	  `output_header_type` unmodified.
	  This caused a mismatch between caps and actual stream format.
	  Avoid this by first copying the `src_caps` to `convcaps` for the
	  additional intersection tests, replacing `src_caps` if we succeed.
	  While we're here, clean up the code a bit and remove the `codec_data`
	  field from outgoing ADTS caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2563>

2022-06-04 10:27:09 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/flv/gstflvdemux.c:
	* gst/flv/gstflvelement.c:
	  flvdemux: Actually make use of the debug category
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2560>

2022-06-01 16:14:24 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* ext/soup/gstsoup.c:
	* ext/soup/gstsoupelement.c:
	* ext/soup/gstsouploader.c:
	  soup: fix soup debug category
	  Use soup debug category in souploader
	  for soup plugin element load.
	  Inititalize properly soup utils category.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2547>

2022-05-29 20:27:38 +1000  Jan Schmidt <jan@centricular.com>

	* gst/rtpmanager/gstrtpptdemux.c:
	  rtpptdemux: Don't GST_FLOW_ERROR when ignoring invalid packets
	  https://bugzilla.gnome.org/show_bug.cgi?id=741398 changed
	  rtpptdemux in 2014 to not post a GST_ELEMENT_ERROR on the
	  bus when dropping an invalid (non-RTP) packet, but still
	  returned GST_FLOW_ERROR upstream - so the pipeline still
	  stops, but now without a useful bus error.
	  Return GST_FLOW_OK instead, so the pipeline keeps
	  running. Some old telephony equipment can send invalid
	  packets before the real RTP traffic starts.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2523>

2022-05-28 16:46:04 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/jack/gstjackaudiosrc.c:
	  jack: Always use jack_free as specified by the docs
	  Fixes a crash on Windows due to a CRT mismatch. The JACK installation
	  still uses MSVCRT, and we the Universal CRT for both MinGW and MSVC.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2515>

2022-05-26 01:21:43 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/jack/meson.build:
	  jack: Add support for detecting libjack on Windows
	  No source code changes were necessary to get the plugin working on
	  Windows with MSVC.
	  Run QJackCtl and audiotestsrc ! jackaudiosink just works.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2515>

2022-05-24 16:07:13 +0800  Hou Qi <qi.hou@nxp.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2: Reset transfer in gst_v4l2_object_acquire_format()
	  get_colorspace() checks input caps transfer when mapping V4L2_XFER_FUNC_709
	  back to V4L2_COLORSPACE_BT2020 and GST_VIDEO_TRANSFER_BT2020_12. After
	  receiving source change event, decoder will G_FMT and S_FMT again. So need
	  to reset transfer when acquiring format to avoid using the old transfer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2505>

2022-05-03 11:34:15 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* ext/soup/gstsoup.c:
	* ext/soup/gstsoupelement.c:
	* ext/soup/gstsoupelements.h:
	* ext/soup/gstsouphttpclientsink.c:
	* ext/soup/gstsouphttpsrc.c:
	  soup: Fix plugin/element init
	  In case of per features registration such as the
	  customizable gstreamer-full library, each
	  element should check that the soup library can be loaded to
	  facilitate the element registration.
	  Initialize the debug category properly
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2491>

2022-05-23 21:24:40 -0400  Eli Schwartz <eschwartz@archlinux.org>

	* meson.build:
	  meson: use better zlib dependency fallback
	  zlib is required, and if it isn't found it is checked several ways and
	  then forced via subproject(). This code was added in commit
	  b93e37592a3ccc0eaece1c8fef2d362b1e5fe685, to account for systems where
	  zlib doesn't have pkg-config files installed.
	  But Meson already does dependency fallback, and also, since 0.54.0, does
	  the in-between checks for find_library('z') and has_header('zlib.h') via
	  the "system" type dependency. Simplify dependency lookup by marking it
	  as required, which also makes sure that the console log doesn't
	  confusingly list "not found".
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2486>

2022-05-16 14:14:46 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/deinterlace/gstdeinterlace.c:
	  deinterlace: Clean up error handling in chain and _push_history
	  - Consistently unref the chained buffer at the end of the chain
	  function, if we're not handing it off to `gst_pad_push`. This avoids a
	  few buffer leaks in the error paths in `_chain` and `_push_history`.
	  - When mapping the video frame fails, return a flow error instead of
	  crashing.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2444>

2022-05-11 15:18:42 +0200  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* ext/vpx/gstvpxenc.c:
	  vpxenc: fix crash if encoder produces unmatching ts
	  If for some reason the encoder produces frames with a pts higher than
	  the input one, we were dropping all the video encoder frames and ended
	  up crashing when trying to access the pts of a NULL pointer returned by
	  gst_video_encoder_get_oldest_frame().
	  I hit this scenario by feeding a decreasing timestamp to vp8enc which
	  seem to confuse the encoder.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2436>

2022-05-13 01:42:21 +0000  Thibault Saunier <tsaunier@igalia.com>

	* gst/rtpmanager/gstrtpbin.c:
	  rtpbin: Avoid holding lock GST_RTP_BIN_LOCK  when emitting pad-added
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2415>

2022-05-12 17:11:38 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Don't use tfdt for parsing subsequent trun boxes
	  The timestamp in the tfdt refers to the first trun box and if there are
	  multiple trun boxes then the distance between the first timestamps will
	  grow.
	  At some point this distance reaches a threshold and triggers the
	  resetting of the first sample's timestamp of this trun box to be reset
	  to the tfdt.
	  This threshold is implemented for files where there is a jump in the
	  timeline between fragments and where this can be detected via a jump
	  between the end timestamp of the previous fragment and the tfdt of the
	  next. This behaviour is preserved.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2414>

2022-04-28 09:19:57 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2videoenc.c:
	  v4l2videoenc: Setup crop rectangle if needed
	  Hantro H1 and Rockchip VEPU2 drivers will pad the width/height to a
	  multiple of 16. In order to obtain the right JPEG size, the image needs
	  to be cropped using the S_SELECTION API. This support is added as best
	  effort since older drivers may emulate this by looking at the capture
	  queue width/height.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2392>

2021-09-30 17:56:56 +0900  Damian Hobson-Garcia <dhobsong@igel.co.jp>

	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2object.h:
	* sys/v4l2/gstv4l2transform.c:
	  v4l2object: rename crop function to reflect its usage
	  The gst_v4l2_object_set_crop() is used for removing buffer
	  alignment padding. Give it a name that better reflects
	  that usage.  This helps to distinguish from cropping of the
	  input image (e.g. cropping at the image sensor on a captre
	  device), which can be  unrelated to the memory buffer padding,
	  especially if scaling is involved.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2392>

2022-05-05 20:36:04 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/gstqtmux.c:
	  mp4mux: Disable aggregator's default negotiation
	  mp4mux can't negotiate caps with upstream/downstream and always outputs
	  specific caps based on the input streams. This will always happen before
	  it produces the first buffers.
	  By having the default aggregator negotiation enabled the same caps
	  would be pushed twice in the beginning, and again every time a
	  reconfigure event is received.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2381>

2022-05-05 20:24:57 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/flv/gstflvmux.c:
	  flvmux: Disable aggregator's default negotiation
	  flvmux can't negotiate caps with upstream/downstream and always outputs
	  specific caps based on the input streams. This will always happen before
	  it produces the first buffers.
	  By having the default aggregator negotiation enabled the same caps
	  would be pushed twice in the beginning, and again every time a
	  reconfigure event is received.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2381>

2022-05-03 17:27:32 +1000  Matthew Waters <matthew@centricular.com>

	* gst/wavparse/gstwavparse.c:
	  wavparse: ensure that any pending segment is sent before an EOS event is sent
	  Specifically fixes seqnum handling when an aggregator-based element
	  (audiomixer et al) is downstream and a seek is performed that
	  immediately causes an EOS from wavparse.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2369>

2021-11-12 20:13:10 +0100  Ruben Gonzalez <rgonzalez@fluendo.com>

	* docs/gst_plugins_cache.json:
	  gst_plugin_load_file: force plugin reload if diff filename
	  If a file includes a new version of a plugin that exits in the
	  registry, the output of gst-inspect is incorrect. The output has the
	  correct version but incorrect filename, and element description.
	  This seems to have also fixed some documentation issues.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2357>

2022-05-03 00:39:09 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/gst_plugins_cache.json:
	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2347>

=== release 1.20.2 ===

2022-05-02 23:29:25 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* docs/gst_plugins_cache.json:
	* gst-plugins-good.doap:
	* meson.build:
	  Release 1.20.2

2022-05-02 23:29:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.2

2022-04-27 12:24:23 +0900  dongil.park <dongil.park@lge.com>

	* gst/wavparse/gstwavparse.c:
	  wavparse: Unset DISCONT buffer flag for divided into multiple buffers in push mode
	  In push mode (streaming), if the received chunk buffer size from _chain is bigger
	  than output buffer size, the flags of the divided-buffers are propagated to the
	  DISCONT flag from first received chunk buffer. This unexpected buffers contained DISCONT
	  flags are abnormally transformed when changing the sampling rate by audioresample element.
	  So unset unnecessary DISCONT flag before pad_push().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2322>

2022-04-23 01:57:53 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/rtp/gstrtpredenc.c:
	* gst/rtp/gstrtpredenc.h:
	  rtpredenc: quieten warning about ignoring header extensions
	  Turn it into a FIXME, and only log once
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2281>

2022-04-15 09:53:19 +0800  Hou Qi <qi.hou@nxp.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: copy colorimetry values to output_state caps
	  This is to avoid transcoding negotiation fail between v4l2h265dec
	  and v4l2h264enc caused by colorimetry mismatch.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2220>

2022-04-07 11:12:47 +1000  Havard Graff <havard.graff@gmail.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: fix leak of channel_mapping
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2184>

2022-04-06 09:46:30 -0400  Tristan Matthews <tmatth@videolan.org>

	* gst/rtp/gstrtpopusdepay.c:
	  rtpopusdepay: assume 2 channels if sprop-stereo is missing
	  Fixes #1064
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2139>

2022-03-26 01:02:02 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/soup/meson.build:
	  meson: Add some messages when selecting libsoup
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2082>

2022-03-26 00:59:12 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  soup: Fix usage of symbols / defines that are gone in libsoup3
	  I am not sure about the SOUP_MESSAGE_OVERWRITE_CHUNKS change, but it
	  was definitely already broken when using libsoup-3.0 in a shared
	  build. souphttpsrc probably needs to be ported from SoupMessage to
	  SoupServerMessage when using libsoup-3.0.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1111
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2082>

2022-03-26 00:56:04 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/soup/gstsouploader.c:
	* ext/soup/gstsouploader.h:
	  soup: Fix pre-processor macros in souploader for libsoup-3.0
	  Some of the preprocessor conditionals in the loader were very broken
	  with libsoup-3.0 + --default-library=static
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1111
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2082>

2022-03-28 18:12:03 +1100  Matthew Waters <matthew@centricular.com>

	* sys/osxaudio/gstosxcoreaudio.c:
	  osxcoreaudio: fix unused-but-set warning
	  ../sys/osxaudio/gstosxcoreaudio.c:480:18: error: variable 'interleaved' set but not used [-Werror,-Wunused-but-set-variable]
	  gboolean sign, interleaved;
	  ^
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2068>

2022-03-28 13:35:17 +1100  Matthew Waters <matthew@centricular.com>

	* gst/deinterlace/tvtime/tomsmocomp/SearchLoopTop.inc:
	  deinterlace: silence unused-but-set werror from imported code
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2062>

2022-03-28 09:50:38 +1100  Matthew Waters <matthew@centricular.com>

	* sys/osxvideo/osxvideosink.m:
	  osxvideosink: fix unused-but-set-variable warning
	  ../sys/osxvideo/osxvideosink.m:859:11: error: variable 'data' set but not used [-Werror,-Wunused-but-set-variable]
	  guint8 *data, *readp, *writep;
	  ^
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2055>

2021-11-17 17:27:13 +1100  Matthew Waters <matthew@centricular.com>

	* gst/rtpmanager/gstrtpptdemux.c:
	  rtpptdemux: fix leak of caps when ignoring a pt
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2033>

2022-03-18 15:20:49 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/wavparse/gstwavparse.c:
	* tests/check/elements/wavparse.c:
	  wavparse: handle query in any parse state
	  In order to create the stream_id, we need to
	  pass the query to the default query handler.
	  If the parse state is different from GST_WAVPARSE_DATA
	  the query should be passed to the default query
	  handler.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2011>

2022-03-15 15:44:17 +0900  Sangchul Lee <sc11.lee@samsung.com>

	* gst/rtpmanager/rtpjitterbuffer.c:
	  rtpjitterbuffer: Fix invalid memory access in rtp_jitter_buffer_pop()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1994>

2022-01-26 10:06:50 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2transform.c:
	  v4l2transform: Handle caps changes
	  As this element is single threaded, we only need to stop the objects to
	  allow changing the format again. Fixes assertion notably on shutdown and
	  on some other situation where the format may be set twice without
	  actually activating the element.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1991>

2022-01-26 09:55:09 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Avoid crash on early failure
	  This happens while an external error lead to an early shutdown.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1991>

2022-03-14 16:19:33 +0800  Hou Qi <qi.hou@nxp.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videodec: set frame duration according to framerate
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1989>

2022-03-14 12:29:04 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/rtpmanager/rtpsession.c:
	* gst/rtpmanager/rtptwcc.c:
	  twcc: Add some logging to debug TWCC feedback
	  This should allow people to debug when TWCC feedback is not enabled
	  because they haven't set the extmap in the caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1979>

2022-03-14 13:45:36 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/rtpmanager/gstrtpsession.c:
	  twcc: Note that packet-loss-pct can count reordering as loss
	  This is difficult to encounter in ordinary networks, but is
	  encountered when using tc-netem to add random delays to packets, and
	  also when your UDP stream is bonded over multiple links with varying
	  characteristics.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1979>

2022-03-14 14:48:01 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/gst_plugins_cache.json:
	* meson.build:
	  Back to development

=== release 1.20.1 ===

2022-03-14 11:33:33 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* docs/gst_plugins_cache.json:
	* gst-plugins-good.doap:
	* meson.build:
	  Release 1.20.1

2022-03-14 11:33:25 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.1

2022-02-22 10:13:28 +0100  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* gst/rtpmanager/rtpsource.c:
	  rtpsource: fix rtp_source_get_nack_deadlines doc
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1950>

2022-01-14 23:42:27 -0600  Tim Mooney <Tim.Mooney@ndsu.edu>

	* sys/v4l2/ext/types-compat.h:
	  v4l2: include <sys/ioccom.h> on Illumos
	  Needed for _IOR/_IORW
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1947>

2022-03-03 13:47:05 +0800  Hou Qi <qi.hou@nxp.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Fix race condition between qbuf and pool streamoff
	  There is a chance that pool->buffers[index] sets BUFFER_STATE_QUEUED, but
	  it has not been queued yet which makes pool->buffers[index] still NULL.
	  At this time, if pool_streamff release all buffers with BUFFER_STATE_QUEUED
	  state regardless of whether the buffer is NULL or not, it will cause segfault.
	  To fix this, also check buffer when streamoff release buffer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1948>

2022-03-11 10:32:42 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/deinterlace/tvtime/scalerbob.c:
	  deinterlace: scalerbob: Reduce latency to 0
	  We only need the current field, just like `linear`.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1944>

2022-03-12 17:13:48 +0200  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst/deinterlace/yadif.c:
	  yadif: Fix CHECK macro for YUY2 format
	  Used to make comb artifacts for videotestsrc pattern=ball for YUY2
	  format only (not AYUV).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1943>

2022-03-10 18:43:45 +0900  Sangchul Lee <sc11.lee@samsung.com>

	* gst/rtp/gstrtpvp8depay.c:
	  rtpvp8depay: Fix crash when making 'GstRTPPacketLost' custom event
	  This patch fixes a seg.fault in gst_structure_new() with warnings as below.
	  GLib-GObject-WARNING **:
	  ../gobject/gtype.c:4330: type id '0' is invalid
	  GLib-GObject-WARNING **:
	  can't peek value table for type '<invalid>' which is not currently referenced
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1920>

2022-03-09 12:17:11 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/soup/gstsouploader.c:
	  soup: Load the runtime library, not the development library
	  libsoup-2.4.so / libsoup-3.0.so are symlinks installed by development
	  packages, they are not available at runtime.
	  Also eliminate G_MODULE_SUFFIX since it's not useful for us, and is
	  actually incorrect on macOS anyway.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1071
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1907>

2021-02-08 21:40:19 +0100  Havard Graff <havard@pexip.com>

	* gst/rtpmanager/gstrtprtxreceive.c:
	* gst/rtpmanager/gstrtprtxreceive.h:
	* gst/rtpmanager/gstrtprtxsend.c:
	* gst/rtpmanager/gstrtprtxsend.h:
	  rtprtx: don't access type-system per buffer
	  When doing only a single stream of audio/video this hardly matters,
	  but when doing many at the same time, the fact that you have to get
	  a hold of the glib global type-system lock every time you process a buffer,
	  means that there is a limit to how many streams you can process in
	  parallel.
	  Luckily the fix is very simple, by doing a cast rather than a full
	  type-check.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1890>

2020-02-10 14:37:30 +0100  Havard Graff <havard@pexip.com>

	* tests/check/elements/rtprtx.c:
	  rtprtx: signed/unsigned and style fixes
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1888>

2022-03-04 15:36:20 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/deinterlace/gstdeinterlace.c:
	  deinterlace: Prevent race between _set_method and latency query
	  It's possible that the method is being manipulated while downstream
	  queries our latency, leading to crashes.
	  Prevent that from happening.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1859>

2022-03-03 23:04:36 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/soup/gstsouploader.c:
	  soup: Fix static build with MSVC
	  ../ext/soup/gstsouploader.c(818): error C4098: '_soup_session_send_async': 'void' function returning a value
	  It's technically a false warning, but that's how MSVC works, so fix
	  it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1846>

2022-03-03 00:37:57 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/soup/meson.build:
	  soup: Fix pkgconfig generation and documentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1846>

2022-03-02 23:22:39 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/soup/meson.build:
	  soup: Fix static build when default_library=both
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1007
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1846>

2022-03-02 23:11:09 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/soup/meson.build:
	  soup: Don't error out in static build unless option is enabled
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1846>

2022-02-27 15:45:01 +0100  Philippe Normand <philn@igalia.com>

	* ext/soup/gstsouploader.c:
	  soup: Lookup libsoup dylib files on Apple platforms
	  Fixes #1007
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1846>

2022-03-01 20:59:30 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/matroska/matroska-mux.c:
	  matroska-mux: Handle pixel-aspect-ratio caps field correctly when checking caps equality
	  Not having this field is equivalent with it being 1/1 so consider
	  it like that. The generic caps functions are not aware of these
	  semantics and would consider the caps different, causing a negotiation
	  failure when caps are changing from caps with to caps without or the
	  other way around.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1833>

2022-03-01 20:56:43 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/matroska/matroska-mux.c:
	  matroska-mux: Handle multiview-mode/flags caps fields correctly when checking caps equality
	  Not having these fields is equivalent with them being mono/0 so consider
	  them like that. The generic caps functions are not aware of these
	  semantics and would consider the caps different, causing a negotiation
	  failure when caps are changing from caps with to caps without or the
	  other way around.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1833>

2022-02-23 11:10:11 +0100  Sebastian Fricke <sebastian.fricke@collabora.com>

	* README.md:
	  Maintain build instructions at a single location
	  Do not maintain similar build instructions within each gst-plugins-*
	  subproject and the subproject/gstreamer subproject. Use the build
	  instructions from the mono-repository and link to them via hyperlink.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1829>

2022-03-01 00:12:56 +0200  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst/deinterlace/x86/yadif.asm:
	  yadif.asm: Fix improper usage of LOAD macro
	  LOAD macro relies in m7 being zero for interleaving purposes. Using LOAD
	  on the m7 register makes it interleave with its new content instead of
	  with 0.
	  The effect of this bug was bobbing on some static lines that appeared
	  over fast-moving content.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1823>

2022-03-01 00:12:33 +0200  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst/deinterlace/x86/yadif.asm:
	  yadif.asm: Typo fixes in comments
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1823>

2022-02-28 20:39:11 +0200  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst/deinterlace/yadif.c:
	  yadif: Fix bug in C implementation of CHECK
	  It was different compared to the corresponding part in both ffmpeg and
	  the asm implementation. Fixing this makes videotestsrc pattern=spokes
	  not jump at all when not using the asm optimisations.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1823>

2021-12-06 12:49:18 -0500  Joseph Donofry <rubberduckie3554@gmail.com>

	* sys/osxaudio/gstosxaudiodeviceprovider.c:
	  osxaudiosrc: Support a device as both input and output
	  osxaudiodeviceprovider now probes devices more than once to determine
	  if the device can function as both an input AND and output device.
	  Previously, if the device provider detected that a device had any output
	  capabilities, it was treated solely as an Audio/Sink.  This causes issues
	  that have both input and output capabilities (for example, USB interfaces
	  for professional audio have both input and output channels).  Such devices
	  are now listed as both an Audio/Sink as well as an Audio/Source.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1809>

2022-02-24 20:28:23 +0530  Sanchayan Maity <sanchayan@asymptotic.io>

	* docs/gst_plugins_cache.json:
	* gst/rtp/gstrtpldacpay.c:
	* gst/rtp/gstrtpldacpay.h:
	  rtp: ldac: Set frame count information in payload
	  The RTP payload seems to be required as it carries the frame count
	  information. Also, gst_rtp_base_payload_allocate_output_buffer had
	  the second argument incorrect.
	  Strangely some devices like Shanling MP4 and Sony XM3 would still
	  work without this while some like the Sony XM4 do not.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1804>

2022-02-25 12:44:26 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/deinterlace/tvtime/greedyh.c:
	  deinterlace: greedyh: Stop adding 2 to cur_field_idx
	  Just a simplification.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1799>

2022-02-24 17:36:40 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/deinterlace/tvtime/greedyh.c:
	  deinterlace: greedyh: Use _plane in _packed, fix planar formats
	  This greatly reduces code duplication. It also exposed the cause for
	  planar formats not being properly deinterlaced:
	  The planar path was missing the initial offset adjustment that the
	  packed path did to `L2` and `L2P` in the case of an even field, which
	  caused it to select the wrong weave lines every other field.
	  Add those offsets in `_plane`.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1047
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1799>

2022-02-25 12:39:31 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/deinterlace/tvtime/greedyh.c:
	  deinterlace: greedyh: Rename _planar_plane to _plane
	  As well as `i` to `plane`.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1799>

2022-02-25 12:36:17 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/deinterlace/tvtime/greedyh.c:
	  deinterlace: greedyh: Move code from _planar into _planar_plane
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1799>

2022-02-25 12:30:21 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/deinterlace/tvtime/greedyh.c:
	  deinterlace: greedyh: Move _planar_plane upwards
	  In preparation of refactoring. No functional change.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1799>

2022-02-18 15:23:13 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/matroska/matroska-demux.c:
	  matroska-demux: Emit a warning when no codec data found
	  It is bad if an mkv file does not have codec data for the ProRes
	  variant, so we should emit a warning. ffmpeg does the same thing.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1766>

2022-02-21 13:27:06 +1100  Matthew Waters <matthew@centricular.com>

	* gst/rtp/gstrtpulpfecenc.c:
	  ulpfecenc: slightly safer dispose impl
	  Technically dispose can be called more than once (even if gstelement is
	  not actually set up to do that) so need to protect against that.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1767>

2022-02-21 13:24:07 +1100  Matthew Waters <matthew@centricular.com>

	* gst/rtp/gstrtpulpfecenc.c:
	  ulpfecenc: fix unmatched free() call
	  One must always match a g_slice_new with a g_slice_free and a g_new with
	  a g_free.  This was not the case for the internal ctx struct.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1767>

2021-11-09 17:37:24 +1100  Matthew Waters <matthew@centricular.com>

	* gst/rtp/gstrtpulpfecenc.c:
	  rtpulpfecenc: add some debug logging
	  Like, what configuration we are using or whether a fec packet is
	  generated.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1767>

2022-02-02 12:49:29 +0100  Rouven Czerwinski <rouven@czerwinskis.de>

	* sys/v4l2/gstv4l2tuner.c:
	  gstv4l2tuner: return NULL if no norm set
	  If the video4linux device supports norms but has no norm set, norm is
	  returned as an uninitialized variable after the ioctl call, leading to
	  gst_v4l2_tuner_get_norm_by_std_id() returning a random norm from the
	  supported norms. Catch this case and instead return NULL to indicate
	  that no norm is setup.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1758>

2022-02-17 17:36:22 +0100  Sebastian Wick <sebastian.wick@redhat.com>

	* gst/matroska/matroska-demux.c:
	  matroska: default prores fourcc apcn
	  If there is no codec private data for prores it should default to Apple
	  ProRes 422 Standard Definition (apcn). Can be tested with
	  strobe_scientist.mkv from
	  https://developers.google.com/media/vp9/hdr-encoding
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1753>

2021-04-08 12:18:09 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/gstqtmux.c:
	  qtmux: Don't post an error message if pushing a sample failed with FLUSHING
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1732>

2022-02-11 23:55:57 +0100  Marek Vasut <marex@denx.de>

	* ext/jpeg/gstjpegdec.c:
	  jpegdec: Pull row_stride from GST_VIDEO_FRAME_PLANE_STRIDE()
	  The libjpeg-turbo internal state might not be correctly initialized for
	  the first frame in a stream, pull the frame stride from gstreamer frame
	  metadata instead, which is correct even for the first frame, and which
	  makes this code consistent with the surrounding lines.
	  Fixes: e6d83d8f96 ("jpegdec: Support libjpeg-turbo colorspace conversion")
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1716>

2022-02-11 23:44:24 +0100  Marek Vasut <marex@denx.de>

	* ext/jpeg/gstjpegdec.c:
	  jpegdec: Call gst_jpeg_turbo_parse_ext_fmt_convert() before jpeg_start_decompress()
	  It is imperative that the libjpeg-turbo state is properly initialized
	  before jpeg_start_decompress() is called. Make sure cinfo.out_color_space
	  and cinfo.raw_data_out are set to their final values matching their peer
	  caps before calling jpeg_start_decompress().
	  Fixes: e6d83d8f96 ("jpegdec: Support libjpeg-turbo colorspace conversion")
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1716>

2022-02-11 23:44:20 +0100  Marek Vasut <marex@denx.de>

	* ext/jpeg/gstjpegdec.c:
	  jpegdec: Factor out gst_jpeg_turbo_parse_ext_fmt_convert()
	  Pull out peer caps checking code into gst_jpeg_turbo_parse_ext_fmt_convert().
	  This code is used by libjpeg-turbo extras to determine whether peer is capable
	  of handling buffers into which libjpeg-turbo can directly decode data. This
	  kind of check must be performed before jpeg_start_decompress() is called in
	  gst_jpeg_dec_prepare_decode() as well as in gst_jpeg_dec_negotiate(), hence
	  the common code.
	  This commit does modify the code a little to make it easier to call from both
	  call sites without much duplication, hence the extra `if (*clrspc)` test.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1716>

2022-02-11 23:29:27 +0100  Marek Vasut <marex@denx.de>

	* ext/jpeg/gstjpegdec.c:
	  Revert "jpegdec: only allow conversions from RGB"
	  This reverts commit 2aa2477208c029b0e1b8232d69f4f99a3bf1d473.
	  The commit is completely wrong, libjpeg-turbo is perfectly capable
	  of decoding I420 (YUV) to RGB. The test case provided alongside the
	  aforementioned commit passes without this revert because it decodes
	  image of JCS_YCrCb color space, so the new `if (clrspc == JCS_RGB)`
	  condition is false on that image, and the libjpeg-turbo decoding
	  does not get used. The real bug is hidden by that commit.
	  The real problem is in the call order of gst_jpeg_dec_prepare_decode()
	  and gst_jpeg_dec_negotiate(). The gst_jpeg_dec_prepare_decode() calls
	  jpeg_start_decompress() which sets up internal state of the libjpeg,
	  however, neither cinfo.out_color_space nor cinfo.raw_data_out are
	  set correctly yet. Those two are set up in gst_jpeg_dec_negotiate()
	  which is called a bit later. Therefore, the real fix is the set up
	  cinfo.out_color_space and cinfo.raw_data_out before calling
	  jpeg_start_decompress(). This is however a separate patch.
	  Fixes: 2aa2477208 ("jpegdec: only allow conversions from RGB")
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1716>

2022-02-11 21:35:54 +0100  Heiko Becker <heirecka@exherbo.org>

	* ext/lame/meson.build:
	  meson: Don't build lame plugin with -Dlame=disabled
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1720>

2022-02-01 14:28:24 +0100  Bastien Nocera <hadess@hadess.net>

	* ext/gtk/gtkgstglwidget.c:
	  gtk: Fix rotation not being applied when paused
	  The video wouldn't be redrawn immediately when a rotation was applied
	  but the pipeline was paused, as no new buffers were scheduled to be
	  displayed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1710>

2022-02-01 14:26:02 +0100  Bastien Nocera <hadess@hadess.net>

	* ext/gtk/gtkgstbasewidget.c:
	* ext/gtk/gtkgstbasewidget.h:
	  gtk: Add a way to queue redrawing the base GTK widget
	  This will be used to request a redraw of the GTK widget should the
	  display be changed using properties not directly handled by the base GTK
	  widget, but by one of its descendants.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1710>

2022-02-07 16:17:28 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/gst_plugins_cache.json:
	* meson.build:
	  Back to development

=== release 1.20.0 ===

2022-02-03 19:53:25 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* README:
	* RELEASE:
	* docs/gst_plugins_cache.json:
	* gst-plugins-good.doap:
	* meson.build:
	  Release 1.20.0

2022-02-03 19:53:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.0

2022-02-01 05:07:04 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* docs/meson.build:
	* sys/osxvideo/osxvideosink.m:
	  docs: Add objc and objcpp files to hotdoc gst_c_sources
	  Hotdoc should be able to extract and parse comments out of these. Just
	  need to be careful to only add the glob in directories that actually
	  contain *.m (objc) and *.mm (objcpp) files.
	  Also fix some doc comments and remove redundant ones.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1614>

2022-01-30 19:06:29 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/osxaudio/gstosxaudiosink.c:
	* sys/osxaudio/gstosxaudiosrc.c:
	* sys/osxvideo/osxvideosink.m:
	  docs: Rename "OS X" to "macOS" in some documentation
	  No one uses the term "Mac OS X" anymore, it's "macOS". "OS X" is even
	  worse, because people will usually start the search with "mac".
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1607>

2022-01-30 03:56:14 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* docs/gst_plugins_cache.json:
	* sys/osxaudio/gstosxaudioelement.c:
	  osxaudio: Document GstOsxAudioElement interface
	  This is listed as a public interface implemented by osxaudio, so we
	  need to mark it as a plugin API so that it's listed in the
	  documentation correctly.
	  This is an ancient symbol, so add it to the symbol index too.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1601>

2022-01-28 23:15:28 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* docs/gst_plugins_cache.json:
	  applemedia: Document vtenc / vtdec elements
	  Also preserve-alpha property should only be exposed on the
	  vtenc_prores element since h264 does not support transparency.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-docs/-/issues/94
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1601>

2022-01-29 12:56:22 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouputils.c:
	  soup: Don't store a strong reference to the logging object
	  Otherwise this causes a reference cycle between the session, the logger
	  and the logging object (i.e. the sink element or session wrapper).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1603>

2022-01-29 12:55:30 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Always abort the session once its last user is gone
	  And wait until there are no pending GSources on the main context anymore
	  afterwards.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1603>

2022-01-29 12:54:23 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Post context message after setting up the context from the source's thread
	  This simplifies the code and especially the locking a bit, and makes
	  sure we only export the session after it is fully set up.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1603>

=== release 1.19.90 ===

2022-01-28 14:28:35 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* docs/gst_plugins_cache.json:
	* gst-plugins-good.doap:
	* meson.build:
	  Release 1.19.90

2022-01-28 14:28:28 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.19.90

2022-01-28 15:47:44 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpclientsink.c:
	  souphttpsink: Protect against spurious wakeups during startup
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1594>

2022-01-28 15:33:04 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpclientsink.c:
	* ext/soup/gstsouphttpsrc.c:
	* ext/soup/gstsouputils.c:
	* ext/soup/gstsouputils.h:
	  souphttpsrc: Don't use the source element after setup from the session thread
	  The source element might be gone already if the session is shared with
	  other source elements.
	  As a consequence, do all logging via the session object instead of using
	  the source element.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1594>

2022-01-28 15:31:55 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Don't abort all pending operations on the session if shutting down a source with a shared session
	  Only do it for a non-shared session. Other sources would otherwise get
	  their requests cancelled unexpectedly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1594>

2022-01-28 15:31:25 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Don't set boolean to FALSE right after checking that it is FALSE
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1594>

2022-01-28 15:30:56 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: soup_session_new_with_options() can't fail with NULL
	  So don't check for it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1594>

2022-01-27 16:28:48 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/autodetect/gstautodetect.h:
	  autodetect: fix debug init category
	  Since the split of elements, the debug category
	  was default for autodetect.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1590>

2022-01-21 16:09:30 +0100  Daniel Kolesa <dkolesa@igalia.com>

	* ext/soup/gstsouphttpsrc.c:
	* ext/soup/gstsouphttpsrc.h:
	* ext/soup/gstsouploader.c:
	* ext/soup/gstsouploader.h:
	  soup: move libsoup session into its own thread
	  Starting with libsoup3, there is no attempt to handle thread safety
	  inside the library, and it was never considered fully safe before
	  either. Therefore, move all session handling into its own thread.
	  The libsoup thread has its own context and main loop. When some
	  request is made or a response needs to be read, an idle source
	  is created to issue that; the gstreamer thread issuing that waits
	  for that to be complete. There is a per-src condition variable to
	  deal with that.
	  Since the thread/loop needs to be longer-lived than the soup
	  session itself, a wrapper object is provided to contain them. The
	  soup session only has a single reference, owned by the wrapper
	  object.
	  It is no longer possible to force an external session, since this
	  does not seem to be used anywhere within gstreamer and would be
	  tricky to implement; this is because one would not have to provide
	  just a session, but also the complete thread arrangement made in
	  the same way as the system currently does internally, in order to
	  be safe.
	  Messages are still built gstreamer-side. It is safe to do so until
	  the message is sent on the session. Headers are also processed on
	  the gstreamer side, which should likewise be safe.
	  All requests as well as reads on the libsoup thread are issued
	  asynchronously. That allows libsoup to schedule things with as
	  little blocking as possible, and means that concurrent access
	  to the session is possible, when sharing the session.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/947
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1555>

2022-01-27 01:38:39 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/de.po:
	* po/fr.po:
	* po/ro.po:
	  gst-plugins-good: update translations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1579>

2022-01-26 11:22:31 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: Fix critical while serializing timeout element message
	  The "cause" field wasn't registered as a GEnumValue, so do that.
	  Fixes this critical in gst_structure_to_string():
	  `gst_value_serialize: assertion 'G_IS_VALUE (value)' failed`
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1573>

2022-01-24 10:45:33 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/multifile/gstsplitmuxsink.c:
	  splitmuxsink: Warn when calculating the next fragment time in timecode mode fails
	  But only if timecode mode is enabled as it will fail all the time
	  otherwise.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1557>

2022-01-25 15:05:47 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* tests/examples/qt/qmlsink-multisink/videoitem/videoitem.cpp:
	  qt: Retain compatibility with Qt 5.9
	  QSharedPointer.get() was added in Qt 5.11, and it does the same thing
	  as .data()
	  https://doc.qt.io/qt-5/qsharedpointer.html#get
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/867
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1565>

2022-01-21 14:13:12 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/ext/types-compat.h:
	* sys/v4l2/ext/v4l2-common.h:
	* sys/v4l2/ext/v4l2-controls.h:
	* sys/v4l2/ext/videodev2.h:
	  video4linux2: Sync kernel headers against 5.16.0
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/965>

2022-01-17 11:44:47 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2videodec.c:
	  v4l2videdec: Fix race condition between drain and state changes
	  This is due to an unsafe usage of the pad task. We didn't ensure proper
	  ownership of the task. That race involved the task being released too early,
	  and was detected, luckily, by the glib mutex implementationt that
	  reported the mutex being disposed while being locked.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1478>

2022-01-16 14:41:41 +0000  Philippe Normand <philn@igalia.com>

	* ext/soup/gstsoup.c:
	* ext/soup/gstsouploader.c:
	* ext/soup/gstsouploader.h:
	* ext/soup/gstsouputils.h:
	* ext/soup/meson.build:
	  soup: Reintroduce compile-time libsoup dependency for static builds
	  On Android (especially) and for static builds in general it is safer to link
	  against libsoup and have the dynamic custom loading disabled. For those cases we
	  can safely assume the application will use either libsoup2 or libsoup3 and not
	  both.
	  Fixes #939
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1536>

2022-01-16 14:40:11 +0000  Philippe Normand <philn@igalia.com>

	* ext/soup/gstsoupelement.c:
	  soup: Initialize debug category before use
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1536>

2022-01-16 14:39:42 +0000  Philippe Normand <philn@igalia.com>

	* ext/soup/gstsouploader.c:
	  soup: Fix return types for a couple VTable functions
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1536>

2022-01-14 19:53:29 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/cairo/meson.build:
	  meson: Build cairo subproject when unavailable on the system
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/952
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1523>

2022-01-20 17:59:30 +0100  Aleksandar Topic <aleks@qtec.com>

	* gst/imagefreeze/gstimagefreeze.c:
	  imagefreeze: Fix example launch line format issue
	  The currently shown example launch line will not run, because it
	  cannot handle png images.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1547>

2021-05-07 18:22:06 +0200  Bastien Nocera <hadess@hadess.net>

	* docs/gst_plugins_cache.json:
	* ext/gtk/gstgtkbasesink.c:
	* ext/gtk/gstgtkbasesink.h:
	* ext/gtk/gtkgstbasewidget.c:
	* ext/gtk/gtkgstbasewidget.h:
	  gtk: Add "video-aspect-ratio-override" property
	  Allow front-ends to override the pixel aspect ratio found inside the
	  video file itself, or most likely, missing from the video file.
	  This is a long-standing feature of totem.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1137>

2021-10-13 15:33:14 +0200  Bastien Nocera <hadess@hadess.net>

	* ext/gtk/gtkgstbasewidget.c:
	  gtk: Remove _update_par() forward declaration
	  No functional changes.
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1137/diffs#note_1102782
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1137>

2021-10-13 15:38:52 +0200  Bastien Nocera <hadess@hadess.net>

	* ext/gtk/gtkgstbasewidget.c:
	  gtk: Mark properties as changeable in the PLAYING state
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1137#note_1102789
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1137>

2021-05-11 11:28:57 +0200  Bastien Nocera <hadess@hadess.net>

	* docs/gst_plugins_cache.json:
	* ext/gtk/gstgtkbasesink.c:
	* ext/gtk/gtkgstbasewidget.c:
	  gtk: Fix "pixel-aspect-ratio" property range
	  Fix the arguments passed to gst_param_spec_fraction in the incorrect
	  order.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1137>

2021-05-07 18:19:55 +0200  Bastien Nocera <hadess@hadess.net>

	* ext/gtk/gstgtkbasesink.c:
	* ext/gtk/gtkgstbasewidget.c:
	  gtk: Rename display pixel aspect ratio related constants
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1137>

2021-05-07 18:16:30 +0200  Bastien Nocera <hadess@hadess.net>

	* ext/gtk/gtkgstbasewidget.c:
	  gtk: Make "pixel-aspect-ratio" changes immediate
	  Schedule a resize when the display's pixel aspect ratio has changed, if
	  one isn't already scheduled.
	  Closes: https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/883
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1137>

2022-01-05 02:07:59 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* docs/meson.build:
	* meson.build:
	  meson: Add explicit check: kwarg to all run_command() calls
	  This is required since Meson 0.61.0, and causes a warning to be
	  emitted otherwise:
	  https://github.com/mesonbuild/meson/commit/2c079d855ed87488bdcc6c5c06f59abdb9b85b6c
	  https://github.com/mesonbuild/meson/issues/9300
	  This exposed a bunch of places where we had broken run_command()
	  calls, unnecessary run_command() calls, and places where check: true
	  should be used.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1507>

2021-12-30 16:31:33 +0000  Heinrich Kruger <heinrich.kruger@sohonet.com>

	* gst/rtp/gstrtphdrext-colorspace.c:
	  rtp-hdrext-colorspace: Fix color range encoding
	  The color space RTP header extension encodes color range as specified in
	  https://www.webmproject.org/docs/container/#Range. In other words:
	  0: Unspecified,
	  1: Broadcast Range,
	  2: Full range,
	  3: Defined by matrix coefficients and transfer characteristic.
	  This does not match the values of GstVideoColorRange, so it is not
	  correct to just write the colorimetry.range value to the header
	  extension.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1482>

2021-12-24 14:52:38 +0900  Jeongki Kim <jeongki.kim@jeongki.kim>

	* gst/rtp/gstrtpg726depay.c:
	  rtpg726depay: fix endian conversion
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1469>

2021-12-23 14:29:55 +0000  Corentin Damman <c.damman@intopix.com>

	* tests/check/elements/rtpjitterbuffer.c:
	  rtpjitterbuffer: fix typo in tests
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1466>

2021-12-20 09:28:50 +0000  Florian Zwoch <fzwoch@gmail.com>

	* ext/aalib/gstaatv.c:
	  aatv: Fixes for rain-mode
	  Some rain-mode properties tried to read float from int value.
	  Initialize rain after setting rain-mode. Rain was non-functional if
	  width/height were left at default values.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1459>

2021-12-07 23:48:39 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/gst_plugins_cache.json:
	* gst/rtp/gstrtpreddec.c:
	* gst/rtp/gstrtpreddec.h:
	  reddec: implement support for the BUNDLE case
	  When multiple streams are bundled together, there may be more
	  than one red payload type to handle.
	  In addition, as the red decoder works by filling in gaps in
	  the seqnums, there needs to be one rtp_history queue per sequence
	  domain.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1429>

2021-12-07 23:43:21 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/gst_plugins_cache.json:
	* gst/rtpmanager/gstrtpbin.c:
	  rtpbin: add new request-fec-decoder-full signal for BUNDLE
	  When multiple streams are bundled together, the application needs
	  to know about the payload type in order to instantiate the appropriate
	  FEC decoder.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1429>

2021-12-03 02:52:06 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/rtp/gstrtpredenc.c:
	* gst/rtp/gstrtpredenc.h:
	* gst/rtp/gstrtpulpfecenc.c:
	* gst/rtp/gstrtpulpfecenc.h:
	* tests/check/elements/rtpred.c:
	  rtp/redenc|ulpfecenc: add support for TWCC
	  In redenc, when input buffers have a header for the TWCC extension,
	  we now add one to our wrapper buffers.
	  In ulpfecenc we add one in that case to our protection buffers.
	  This makes TWCC functional when UlpRed is used in webrtcbin.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1414>

2021-12-02 13:32:33 +0000  Thibault Saunier <tsaunier@igalia.com>

	* gst/rtp/gstrtph264pay.c:
	* gst/rtp/gstrtph264pay.h:
	  rtph264pay: Handle 'profile' field
	  In order to allow "level-asymmetry-allowed" we now handle a new
	  "profile" field, which as the same semantics as the "profile" field in
	  H.264 stream so that we can force payloaded stream to have the right
	  format when using the `gst_sdp_media_get_caps_from_media` to set caps
	  filter after the payloader. This allows a simple negotiation in standard
	  RTP negotiation based on SDPs (like webrtc) for that particular case,
	  closely respecting the specs.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1410>

2021-12-10 16:08:27 +0100  Jakub Adam <jakub.adam@collabora.com>

	* sys/ximage/gstximagesrc.c:
	  ximagesrc: avoid blocking wait for X events
	  XNextEvent() blocks indefinitely in absence of X11 events, which can
	  prevent the pipeline from stopping.
	  This can cause problems when ximagesrc is used in "remote desktop"
	  scenarios and the GStreamer application itself, through which the user
	  is viewing and controlling the machine, is the only source of input
	  events.
	  Replace the call with non-blocking XCheckTypedEvent().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1438>

2021-12-10 17:36:30 +0100  Célestin Marot <marotcelestin@gmail.com>

	* gst/multifile/gstmultifilesrc.c:
	  multifilesrc: fix caps leak
	  since `gst_caps_replace()` and `gst_pad_set_caps()` both ref the caps and neither of them takes the ownership of the caps -> it must be unreffed in `gst_multi_file_src_set_property()`
	  to test the leak (on Unix): `echo coucou > /tmp/file.txt && GST_TRACERS=leaks GST_DEBUG="GST_TRACER:7" gst-launch-1.0 multifilesrc location=/tmp/file.txt caps='txt' ! fakesink`
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1436>

2021-12-06 15:37:06 +0100  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* ext/jpeg/gstjpegdec.c:
	  jpegdec: only allow conversions from RGB
	  libjpeg-turbo only supports converting from RGB to other RGB formats.
	  Fix runtime error when trying to convert from a YUV format for example.
	  Fix #916
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1421>

2021-11-29 15:35:36 +0100  Wim Taymans <wtaymans@redhat.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2: handle 0x0 sizes gracefully
	  Also ignore 0x0 sizes in the fallback case and assume the size can be
	  anything between 1x1 and MAXxMAX.
	  This fixes the case where a width=0, height=0 caps are created. Whith
	  this patch the caps will contain width=[1,MAX], height=[1,MAX].
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1396>

2021-11-23 20:54:57 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/rtpmanager/gstrtpfunnel.c:
	* tests/check/elements/rtpfunnel.c:
	  rtpfunnel: fix extmap handling on accept-caps
	  Follow-up on 97d83056b315c56834eaa6776ae4c6a0848b5ef9, only check
	  for intersection with the current srccaps when checking if a sinkpad
	  can accept caps.
	  I must have been lucky in my firefox testing then, and always entered
	  the code path with audio getting negotiated first, thus not failing
	  the is_subset check when srccaps had been negotiated as
	  application/x-rtp, and an accept-caps query was made for the video
	  caps with a defined extmap.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1384>

2021-11-12 13:54:59 +0100  Jean Felder <jean.felder@gmail.com>

	* ext/taglib/gstid3v2mux.cc:
	  id3v2mux: Map GST_TAG_MUSICBRAINZ_RELEASETRACKID
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1342>

2021-11-12 13:51:56 +0100  Jean Felder <jean.felder@gmail.com>

	* ext/taglib/gstid3v2mux.cc:
	  id3v2mux: Map GST_TAG_MUSICBRAINZ_RELEASEGROUPID
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1342>

2021-11-18 16:27:17 +0000  Tobias Reineke <tobi@g3th.net>

	* ext/shout2/gstshout2.c:
	  shout2: Add compatibility for libshout >= 2.4.2
	  In libshout >=2.4.2 shout_open() can return SHOUTERR_RETRY in addition
	  to SHOUTERR_BUSY.
	  The nonblocking example in libshout fixes the problem in a similar
	  way, as mentioned by the author in this issue:
	  https://gitlab.xiph.org/xiph/icecast-libshout/-/issues/2316
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/848
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1363>

2021-11-15 14:39:14 +1100  Matthew Waters <matthew@centricular.com>

	* ext/qt/qtitem.cc:
	  qmlglsink: fix another resize case
	  If qt asks us to redraw before we have both set a buffer and caps we
	  would attempt to use the new caps with the old buffer which could result
	  in bad things happening.
	  Only update caps from new_caps once the buffer has actually been set.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1346>

2021-11-01 10:08:32 +0700  Trung Do <trung1.dothanh@toshiba.co.jp>

	* sys/v4l2/gstv4l2object.c:
	  v4l2: Update fmt if padded height is greater than fmt height
	  If padded height is greater, buffer bytesused could be larger than plane length,
	  and cause VIDIOC_QBUF failure.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1355>

2021-11-09 19:41:14 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/rtpmanager/gstrtpfunnel.c:
	* tests/check/elements/rtpfunnel.c:
	  rtpfunnel: don't enforce twcc during upstream negotiation
	  A previous patch has caused rtpfunnel to output twcc-related
	  information downstream, however this leaked into upstream
	  negotiation (through funnel->srccaps), causing payloader to
	  negotiate twcc caps even when not prompted to do so by the user.
	  Fix this by only enforcing that upstream sends us application/x-rtp
	  caps as was the case originally.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1278>

2021-10-30 01:18:18 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/rtpmanager/rtptwcc.c:
	  rtptwcc: complete bufferlist fix
	  When dealing with bufferlists, we need to store one "SentPacket"
	  structure per buffer, not one per buffer list!
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1278>

2021-11-12 17:59:22 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Log cslg_shift that was determined
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1294>

2021-11-12 13:00:56 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Use a composition time offset of 0 for "no decode samples" for the time being
	  This needs codec-specific handling, but using 0 instead of G_MININT32 at
	  least gives somewhat reasonable behaviour.
	  See https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/883
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1294>

2021-11-12 12:46:56 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Always check ctts for unreasonably large offsets
	  If this happens then ignore the whole ctts. Previously we only did this
	  if the PTS/DTS shift was determined from the ctts instead of the cslg.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1294>

2021-11-12 12:39:17 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/qtdemux_dump.c:
	  qtdemux: Dump composition time offsets in trun as signed integers
	  Just like we do for ctts without regard of the version of the box.
	  Huge offsets are interpreted as negative offsets by qtdemux so this
	  works.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1294>

2021-11-12 11:36:31 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/qtdemux.h:
	  qtdemux: Add a comment why only positive cslg shifts are considered
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1294>

2021-11-02 18:38:39 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Only adjust segment.stop by cslg_shift if stop is not -1
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1294>

2021-11-02 18:29:53 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Handle negative composition offsets in the trun box the same way as for non-fragmented streams
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1294>

2021-11-02 17:43:17 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Parse ctts version
	  Negative composition time offsets are only allowed with version 1 of the
	  box, however we parse it as a signed value also for version 0 boxes as
	  unfortunately there are such files out there and it's unlikely to have
	  (valid) huge composition offsets.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1294>

2021-11-02 17:41:01 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/qtdemux.c:
	* gst/isomp4/qtdemux.h:
	* gst/isomp4/qtdemux_dump.c:
	  qtdemux: Add support for version 1 cslg boxes
	  They use 64 bit fields instead of 32 bit.
	  Also parse offset as a signed integer (in both versions) and clamp it to
	  a positive value as negative values don't really interest us here.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1294>

2021-11-02 17:54:46 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Don't free cslg data that we don't own on corrupt files
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1294>

2021-05-07 10:44:15 +0200  Rafał Dzięgiel <rafostar.github@gmail.com>

	* gst/matroska/matroska-demux.c:
	* gst/matroska/matroska-read-common.c:
	  matroska: Ref index table when updating track info
	  Track index table array was being lost during track info update.
	  Ref it over to updated info, so it can be used for finding
	  nearest seek points.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1203>

2021-11-12 11:28:23 +0100  Rafał Dzięgiel <rafostar.github@gmail.com>

	* gst/matroska/ebml-read.c:
	* gst/matroska/matroska-demux.c:
	* gst/matroska/matroska-ids.c:
	* gst/matroska/matroska-read-common.c:
	  matroska: Use g_array_unref everywhere
	  Instead of using g_array_free which is not thread safe use g_array_unref instead
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1203>

2021-11-11 19:11:25 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/cairo/gstcairooverlay.c:
	* gst/equalizer/gstiirequalizernbands.c:
	  docs: fix unnecessary ampersand, < and > escaping in code blocks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1340>

2021-11-12 03:17:44 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/rtpmanager/gstrtpst2022-1-fecdec.c:
	  st2022-1-fecdec: fix packet trimming
	  g_sequence_remove_range's end iter is exclusive, so if one
	  wants to remove that item as well, it should be called with
	  the next iter.
	  This could in theory fix an issue where:
	  * The sequence isn't entirely trimmed, with an old item lingering
	  * Following FEC packets are immediately discarded because they
	  arrived later than corresponding media packets, long enough for
	  seqnums to wrap around
	  * We now try to reconstruct a media packet with a completely obsolete
	  FEC packet, chaos ensues.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1341>

2021-11-11 15:49:19 +1100  Matthew Waters <matthew@centricular.com>

	* ext/qt/qtitem.cc:
	  qmlsink: support caps changes better
	  We need to hold onto the last buffer until the next buffer arrives.
	  Before, if a caps change comes we would remove the currently rendering
	  buffer.  if Qt asks use to render something, we would render the dummy
	  black texture.
	  Fixes a period of black output when upstream is e.g. changing resolution
	  as in hls adaptive bitrate scenarios.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1338>

2021-09-27 16:52:22 +0100  James Cowgill <james.cowgill@blaize.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2bufferpool.h:
	  v4l2: Record buffer states in pool to fix dequeue race
	  The `gst_v4l2_buffer_pool_dqbuf` function contains this ominous comment:
	  /* get our GstBuffer with that index from the pool, if the buffer was
	  * outstanding we have a serious problem.
	  */
	  outbuf = pool->buffers[group->buffer.index];
	  Unfortunately it is common for buffers in _output_ buffer pools to be
	  both queued and outstanding at the same time. This can happen if the
	  upstream element keeps a reference to the buffer, or in an encoder
	  element itself when it keeps a reference to the input buffer for each
	  frame.
	  Since the current code doesn't handle this case properly we can end up
	  with crashes in other elements such as:
	  (gst-launch-1.0:32559): CRITICAL **: 17:33:35.740: gst_video_frame_map_id: assertion 'GST_IS_BUFFER (buffer)' failed
	  and:
	  (gst-launch-1.0:231): GStreamer-CRITICAL **: 00:16:20.882: write map requested on non-writable buffer
	  Both these crashes are caused by a race condition related to releasing
	  the same buffer twice from two different threads. If a buffer is queued
	  and outstanding this situation is possible:
	  **Thread 1**
	  - Calls `gst_buffer_unref` decrementing the reference count to zero.
	  - The core GstBufferPool object marks the buffer non-outstanding.
	  - Calls the V4L2 release buffer function.
	  - If the buffer is _not_ queued:
	  - Release it back to the free pool (containing non-queued buffers).
	  **Thread 2**
	  - Dequeues the queued output buffer.
	  - Marks the buffer as not queued.
	  - If the buffer is _not_ outstanding:
	  - Calls the V4L2 release buffer function.
	  - Release it back to the free pool (containing non-queued buffers).
	  If both of these threads run at exactly the same time there is a small
	  window where the buffer is marked both not outstanding and not queued
	  but before it has been released. In this case the buffer will be freed
	  twice causing the above crashes.
	  Unfortunately the variable recording whether a buffer is outstanding is
	  part of the core `GstBuffer` object and is managed by `GstBufferPool` so
	  it's not as straightforward as adding a mutex. Instead we can fix this
	  by additionally recording the buffer state in `GstV4l2BufferPool`, and
	  handle "internal" and "external" buffer release separately so we can
	  detect when a buffer becomes not outstanding.
	  In the new solution:
	  - The "external" buffer pool release and the "dqbuf" functions
	  atomically update the buffer state and determine if a buffer is still
	  queued or outstanding.
	  - Subsequent code and a new
	  `gst_v4l2_buffer_pool_complete_release_buffer` function can proceed to
	  release (or not) a buffer knowing that it's not racing with another
	  thread.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1010>

2021-11-09 15:10:06 +1100  Matthew Waters <matthew@centricular.com>

	* gst/rtpmanager/gstrtpbin.c:
	  rtpbin: separate out the two fec decoder locations
	  The pipeline flow for receiving looks like this:
	  rtpsession ! rtpssrcdemux ! session_fec_decoder ! rtpjitterbuffer ! \
	  rtpptdemux ! stream_fec_decoder ! ...
	  There are two places where a fec decoder could be placed.
	  1. As requested from the 'request-fec-decoder' signal: after rtpptdemux
	  for each ssrc/pt produced
	  2. after rtpssrcdemux but before rtpjitterbuffer: added for the
	  rtpst2022-1-fecenc/dec elements,
	  However, there was some cross-contamination of the elements involved and
	  the request-fec-decoder signal was also being used to request the fec
	  decoder for the session_fec_decoder which would then be cached and
	  re-used for subsequent fec decoder requests.  This would cause the same
	  element to be attempted to be linked to multiple elements in different
	  places in the pipeline.  This would fail and cause all kinds of havoc
	  usually resulting in a not-linked error being returned upstream and an
	  error message being posted by the source.
	  Fix by not using the request-fec-decoder signal for requesting the
	  session_fec_decoder and instead solely rely on the added properties for
	  that case.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1300>

2021-11-09 21:20:19 +0800  Zhao, Gang <gang.zhao.42@gmail.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Fix can not demux Opus track made by qtmux
	  Opus stream info is read from dOps box [1]. The offset of dOps box in Opus box is different in mp4a version 1 and 0 [2]. Calculate the offset of dOps box according to mp4a version.
	  [1] https://opus-codec.org/docs/opus_in_isobmff.html
	  [2] subprojects/gst-plugins-good/gst/isomp4/atoms.c:sample_entry_mp4a_copy_data:2146
	  Fixed: https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/918
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1329>

2021-11-09 13:36:28 +0800  Haihua Hu <jared.hu@nxp.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: set video alignment of video meta
	  need apply video alignment info on video meta, downstream
	  element can get buffer alignment from video meta
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1326>

2021-11-06 16:48:20 +0800  Zhao, Gang <gang.zhao.42@gmail.com>

	* ext/vpx/gstvpxdec.c:
	  vpxdec: Skip check of key frame when open GOP
	  Valid stream [1] might has no key frame.
	  Fixed: https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/890
	  [1] https://storage.googleapis.com/downloads.webmproject.org/test_data/libvpx/vp90-2-16-intra-only.webm
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1316>

2021-10-05 18:07:06 +0100  Joe Todd <joextodd@gmail.com>

	* sys/osxaudio/gstosxcoreaudio.h:
	  osxaudio: Increase max channels to 64
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1059>

2021-11-05 15:17:20 +0530  Sanchayan Maity <sanchayan@asymptotic.io>

	* gst/imagefreeze/gstimagefreeze.c:
	  imagefreeze: Only set caps if they do not match current caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1311>

2021-11-04 16:04:30 +0200  Sebastian Dröge <sebastian@centricular.com>

	* sys/v4l2/v4l2_calls.c:
	  v4l2: Support bools for setting extra-controls
	  They're just mapped to 0 / 1 and can already be set as integers, but
	  being able to set them as booleans seems useful.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1308>

2021-11-03 18:44:03 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/gst_plugins_cache.json:
	* meson.build:
	  Back to development

=== release 1.19.3 ===

2021-11-03 15:43:36 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* docs/gst_plugins_cache.json:
	* gst-plugins-good.doap:
	* meson.build:
	  Release 1.19.3

2021-11-03 15:43:32 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.19.3

2021-11-02 16:46:08 +0200  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst_plugins_cache.json:
	* gst/multifile/gstmultifilesink.c:
	* gst/multifile/gstmultifilesink.h:
	  multifilesink: Make minimum distance between keyframes in next-file=key-frame mode configurable
	  Previously this was hardcoded to 10s, which is not necessarily the
	  desired behaviour.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1292>

2021-11-01 16:32:10 +0100  Erlend Eriksen <erlend_ne@hotmail.com>

	* gst/isomp4/gstqtmux.c:
	  qtmux: Fix deadlock in gst_qt_mux_prepare_moov_recovery
	  Regression from 5766731bd4200c3a374522a749386f740347661a
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1288>

2021-10-30 16:22:39 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst_plugins_cache.json:
	  video: Fix order of new video formats
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1282>

2021-10-30 00:58:55 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/rtphdrext-colorspace.c:
	  Couple more g_memdup() -> g_memdup2() fixes
	  Fixes deprecation warnings with newer GLib versions.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1279>

2021-10-23 00:44:57 +0200  Piotrek Brzeziński <piotr@centricular.com>

	* docs/gst_plugins_cache.json:
	  video-format: Add support for ARGB64 LE/BE and similar variants
	  Co-authored-by: Sebastian Dröge <sebastian@centricular.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1247>

2021-10-29 03:46:25 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/rtpmanager/rtptwcc.c:
	  rtptwcc: don't assume all PacketInfo->data are buffers
	  They can also be buffer lists
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1268>

2021-10-25 11:37:45 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: require matching GStreamer dep versions for unstable development releases
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/929
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1244>

2021-10-28 21:37:47 +1100  Jan Schmidt <jan@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Fix text and closed-caption handling.
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1182
	  broke text and and closed caption extraction when introducing WebVTT
	  support, by making the output buffers not have timestamps any more.
	  Fix that by making the process functions copy buffer metadata
	  when generating new output buffers.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1262>

2021-10-25 01:02:07 +0100  Tim-Philipp Müller <tim@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/ky.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  gst-plugins-good: update translations
	  Fixes #656
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1240>

2021-10-23 14:38:06 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/qtdemux_types.c:
	  qtdemux: Add pasp box to the list of known boxes
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1235>

2021-01-20 11:53:51 +0100  Rafał Dzięgiel <rafostar.github@gmail.com>

	* gst/matroska/matroska-read-common.c:
	  matroska: Set image/attachment structure mimetype
	  Set structure mimetype to fix data detection by mimetype in other plugins.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1205>

2021-01-20 11:33:39 +0100  Rafał Dzięgiel <rafostar.github@gmail.com>

	* gst/matroska/matroska-read-common.c:
	  matroska: Treat non-image structure as attachment
	  Otherwise each structure is named as GstTagImageInfo even if
	  it does not contain any images which is misleading.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1205>

2021-10-21 20:32:05 +1100  Matthew Waters <matthew@centricular.com>

	* gst/rtpmanager/gstrtpbin.c:
	  rtpbin: fix leak of pad when a fec encoder and aux sender a created
	  The ghost sink pad retrieved by rtpbin from the aux sender was not freed
	  when there was a previous element (fec encoder) in the chain.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1222>

2021-10-18 15:47:00 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/meson.build:
	  meson: update for meson.build_root() and .build_source() deprecation
	  -> use meson.project_build_root() or .global_build_root() instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1183>

2021-10-18 00:40:14 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/meson.build:
	* meson.build:
	* tests/check/meson.build:
	  meson: update for dep.get_pkgconfig_variable() deprecation
	  ... in favour of dep.get_variable('foo', ..) which in some
	  cases allows for further cleanups in future since we can
	  extract variables from pkg-config dependencies as well as
	  internal dependencies using this mechanism.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1183>

2021-10-18 00:03:47 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: clean up conditional paths after version bump
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1183>

2021-09-15 14:19:06 -0400  Olivier Crête <olivier.crete@collabora.com>

	* docs/gst_plugins_cache.json:
	* gst/rtpmanager/gstrtphdrext-clientaudiolevel.c:
	* gst/rtpmanager/gstrtphdrext-clientaudiolevel.h:
	* gst/rtpmanager/gstrtpmanager.c:
	* gst/rtpmanager/meson.build:
	* tests/check/elements/rtphdrextclientaudiolevel.c:
	* tests/check/meson.build:
	  rtphdrext-clientaudiolevel: Rename RFC 6464 element
	  Multiplying elements named after RFC numbers is confusing,
	  so let's give them meaningful names.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1125>

2021-06-05 03:13:52 +1000  Jan Schmidt <jan@centricular.com>

	* gst/isomp4/fourcc.h:
	* gst/isomp4/meson.build:
	* gst/isomp4/qtdemux-webvtt.c:
	* gst/isomp4/qtdemux-webvtt.h:
	* gst/isomp4/qtdemux.c:
	* gst/isomp4/qtdemux_types.c:
	  qtdemux: Add support for wvtt (WebVTT) subtitles.
	  WebVTT in ISO MP4 is specified in ISO 14496-30,
	  and needed for DASH support. It's stored in an
	  mp4 specific format. To handle it compatibly,
	  the wvtt boxes are converted back into WebVTT text
	  and pushed as application/x-subtitle-vtt
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1182>

2021-08-27 22:45:18 +1000  Jan Schmidt <jan@centricular.com>

	* gst/isomp4/qtdemux.c:
	  isomp4: Split buffer process functions.
	  Split the different handling for closed captions, VobSub subpicture
	  and timed text samples into separate simplified process functions.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1182>

2021-08-27 21:58:25 +1000  Jan Schmidt <jan@centricular.com>

	* gst/isomp4/qtdemux.c:
	* gst/isomp4/qtdemux.h:
	  isomp4: Use a function pointer for buffer splitting.
	  Swap the `need_process` boolean check on qtdemux streams
	  for a direct function pointer to the splitting function,
	  so we can stop adding extra cases to the single growing
	  `gst_qtdemux_process_buffer()` function.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1182>

2021-10-14 18:38:26 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: bump meson requirement to >= 0.59
	  For monorepo build and ugly/bad, for advanced feature
	  option API like get_option('xyz').required(..) which
	  we use in combination with the 'gpl' option.
	  For rest of modules for consistency (people will likely
	  use newer features based on the top-level requirement).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1084>

2021-10-05 12:28:22 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/isomp4/gstqtmux.c:
	  qtmux: Allow more fields changes renegotiating h264
	  And consider interlace-mode=progress as equivalent to the field not
	  being specified.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1062>

2021-10-05 10:50:32 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/matroska/matroska-mux.c:
	  matroskamux: Ignore some fields when renegotiating
	  Those values are never used in the muxer so we should not fail the
	  negotiation if those are changing.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1062>

2021-10-17 01:59:35 -0300  Thibault Saunier <tsaunier@igalia.com>

	* ext/lame/meson.build:
	  lame:meson: Avoid using fallback when we could use system install
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1176>

2021-10-05 11:38:33 -0300  Thibault Saunier <tsaunier@igalia.com>

	* ext/lame/gstlamemp3enc.h:
	* ext/lame/meson.build:
	  meson: Support building lame as subproject
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1068>

2021-10-12 15:52:48 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/meson.build:
	  meson: Streamline the way we detect when to build documentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1093>

2021-10-13 14:42:15 +0100  Philippe Normand <philn@igalia.com>

	* ext/soup/stub/soup.h:
	  soup-stub: Gate G_URI_FLAGS_SCHEME_NORMALIZE behind glib version check
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1138>

2021-10-13 10:38:07 +0200  Bastien Nocera <hadess@hadess.net>

	* ext/gtk/gtkgstglwidget.c:
	  gtkglsink: Avoid assertion when applying "auto" rotation method
	  Guard against the orientation not coming from an inexistant tag, nor
	  from the application (rotation set to "auto") which caused an assertion.
	  When the application requests the auto rotation method, make sure it is
	  resolved to a rotation that's applicable.
	  ERROR:gstreamer/subprojects/gst-plugins-good/ext/gtk/gtkgstglwidget.c:745:gtk_gst_gl_widget_set_rotate_method: code should not be reached
	  Fixes: 103ceb853a5f7dade07a1ac4aa517e9df6ed5ded
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1134>

2021-10-04 09:31:02 +0100  Philippe Normand <philn@igalia.com>

	* ext/soup/gstsoup.c:
	* ext/soup/gstsouphttpclientsink.c:
	* ext/soup/gstsouphttpclientsink.h:
	* ext/soup/gstsouphttpsrc.c:
	* ext/soup/gstsouphttpsrc.h:
	* ext/soup/gstsouploader.c:
	* ext/soup/gstsouploader.h:
	* ext/soup/gstsouputils.c:
	* ext/soup/gstsouputils.h:
	* ext/soup/meson.build:
	* ext/soup/stub/soup.h:
	* meson.build:
	* tests/check/elements/souphttpsrc.c:
	* tests/check/meson.build:
	  soup: Runtime compatibility support for libsoup2 and libsoup3
	  The src and sink elements no longer link against libsoup. It is now loaded at
	  runtime. If any version is resident already, it is used. Otherwise we first try
	  to load libsoup3 and if it's not found we fallback to libsoup2.
	  For the unit-tests, we now build one version of the test unit file per libsoup
	  version found. So if both libsoup2 and libsoup3 are available on the host, the
	  CI will cover them both.
	  Based on initial patch by Daniel Kolesa <dkolesa@igalia.com> and
	  Patrick Griffis <pgriffis@igalia.com>.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1044>

2021-09-10 18:03:55 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtp/gstrtpopuspay.c:
	  rtopuspay: Set marker bit inside RTP packet too
	  At the end of a talk spurt, not only set the marker flag on the
	  GstBuffer, but also set the bit inside the RTP header as recommended
	  by the RFC.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1124>

2021-10-11 14:27:24 +0200  Bastien Nocera <hadess@hadess.net>

	* ext/gtk/gstgtkbasesink.c:
	  gtksink: Fetch the default "widget" value in the docs
	  There's really no interesting "widget" value that could be shown in the
	  docs, so use the GST_PARAM_DOC_SHOW_DEFAULT flag to avoid showing
	  another value.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1088>

2021-10-11 10:22:41 +0200  Bastien Nocera <hadess@hadess.net>

	* ext/gtk/gstgtkbasesink.c:
	* ext/gtk/gstgtkglsink.c:
	  gtksink: Avoid errors fetching widget property
	  Avoid errors when fetching the "widget" property and GTK initialisation
	  fails, such as when running in a non-graphical environment.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1088>

2021-05-04 13:27:30 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/gtk/gstgtkbasesink.c:
	* ext/gtk/gstgtkglsink.c:
	  gtksink: Return reference to GtkWidget in the acquire function
	  This should ensure thread safety.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1088>

2020-09-03 18:27:19 -0400  Olivier Crête <olivier.crete@collabora.com>

	* docs/gst_plugins_cache.json:
	* ext/gtk/gstgtkbasesink.c:
	* ext/gtk/gstgtkbasesink.h:
	* ext/gtk/gstgtkglsink.c:
	* ext/gtk/gtkgstglwidget.c:
	* ext/gtk/gtkgstglwidget.h:
	  gtkglsink: Add rotate-method property
	  This mostly just takes code out of glimagesink and applies it here.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1088>

2021-10-12 19:01:37 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/multifile/gstsplitmuxsink.c:
	  splitmuxsink: Don't assert on the input side if no GOP is available when shutting down
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1119>

2021-10-12 11:43:16 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/soup/meson.build:
	  libsoup: Bump to 2.74 to fix gssapi build failure on macOS
	  See: https://gitlab.gnome.org/GNOME/libsoup/-/merge_requests/255
	  We also need to disable sysprof by default because it only builds on
	  native Linux. If someone really wants it, they can enable the option
	  on the command-line by passing -Dlibsoup:sysprof=enabled
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1114>

2020-06-05 16:20:18 +0200  Marek Vasut <marex@denx.de>

	* ext/jpeg/gstjpegdec.c:
	* ext/jpeg/gstjpegdec.h:
	  jpegdec: Support libjpeg-turbo colorspace conversion
	  The libjpeg-turbo has a built-in support for performing colorspace
	  conversion. The performance of this conversion is much better than
	  doing the same separately using videoconvert. Implement support for
	  this conversion to RGBx/xRGB/BGRx/xBGR formats. Other formats can
	  be easily added later.
	  - The decoding of various pixel formats can be tested and compared to
	  non-libjpeg-turbo decoding as follows:
	  for gfmt in {RGB,BGR}{,x} x{RGB,BGR} ; do
	  echo "$gfmt"
	  gst-launch-1.0 -q \
	  videotestsrc pattern=colors ! \
	  video/x-raw,format=${gfmt} ! \
	  fakesink dump=true | \
	  head -n 200 | tail -n 1
	  gst-launch-1.0 -q --gst-plugin-path=build/ext/jpeg/ \
	  videotestsrc pattern=colors ! \
	  video/x-raw,format=${gfmt} ! \
	  jpegenc ! \
	  jpegdec ! \
	  video/x-raw,format=${gfmt} ! \
	  fakesink dump=true | \
	  head -n 200 | tail -n 1
	  done
	  Result looks as follows, i.e. comparable:
	  RGB
	  00000c70 (0x7f7736fbdd10): 05 33 19 05 33 26 05 33 33 05 33 40 05 33 4c 05  .3..3&.33.3@.3L.
	  00000c70 (0x7f389e8f7d10): 05 32 17 04 32 22 04 32 31 04 32 3e 04 32 4a 04  .2..2".21.2>.2J.
	  RGBx
	  00000c70 (0x7f79efd0ad10): cc 07 22 ff d9 07 22 ff e6 07 22 ff f3 07 22 ff  .."..."..."...".
	  00000c70 (0x7fb6989f3d10): cd 06 22 00 d9 06 22 00 e6 06 22 00 f4 06 22 00  .."..."..."...".
	  BGR
	  00000c70 (0x7fa0a6c42d10): 05 0c 33 05 19 33 05 26 33 05 33 33 05 40 33 05  ..3..3.&3.33.@3.
	  00000c70 (0x7fc74165fd10): 05 08 32 04 17 32 04 22 32 04 31 32 04 3e 32 04  ..2..2."2.12.>2.
	  BGRx
	  00000c70 (0x7fbf399f1d10): 22 07 cc ff 22 07 d9 ff 22 07 e6 ff 22 07 f3 ff  "..."..."..."...
	  00000c70 (0x7f50e3d1cd10): 22 06 cd 00 22 06 d9 00 22 06 e6 00 22 06 f4 00  "..."..."..."...
	  xRGB
	  00000c70 (0x7f0b950a2d10): ff cc 07 22 ff d9 07 22 ff e6 07 22 ff f3 07 22  ..."..."..."..."
	  00000c70 (0x7f4416b8dd10): 00 cd 06 22 00 d9 06 22 00 e6 06 22 00 f4 06 22  ..."..."..."..."
	  xBGR
	  00000c70 (0x7f237d74dd10): ff 22 07 cc ff 22 07 d9 ff 22 07 e6 ff 22 07 f3  ."..."..."..."..
	  00000c70 (0x7f095547dd10): 00 22 06 cd 00 22 06 d9 00 22 06 e6 00 22 06 f4  ."..."..."..."..
	  ^^          ^^          ^^          ^^
	  Notice how the alpha channel is set to arbitrary value in case of the
	  libjpeg-turbo decoding into RGBx/BGRx/xRGB/xBGR pixel formats. This is
	  documented in libjpeg-turbo README.md as follows:
	  "
	  When using the RGBX, BGRX, XBGR, and XRGB colorspaces during decompression, the
	  X byte is undefined, and in order to ensure the best performance, libjpeg-turbo
	  can set that byte to whatever value it wishes.
	  "
	  - The interlaced num_fields=2 mjpeg stream can be generated and
	  tested as follows (this does require mjpegtools):
	  $ gst-launch-1.0 videotestsrc num-buffers=10 ! jpegenc ! multifilesink location=in%04d.jpg
	  $ jpeg2yuv -f 25 -I t -L 0 -j in%04d.jpg | yuv2lav -f avi -o result.avi
	  ...
	  $ gst-launch-1.0 --gst-plugin-path=build/ext/jpeg/ filesrc location=result.avi ! \
	  avidemux ! jpegdec ! video/x-raw,format=RGBx ! videoconvert ! autovideosink
	  Signed-off-by: Marek Vasut <marex@denx.de>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1091>

2021-09-21 13:37:35 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/multifile/gstsplitmuxsink.c:
	* gst/multifile/gstsplitmuxsink.h:
	  splitmuxsink: Keep track of the pending input GOPs in a queue
	  This cleans up input GOP handling and makes it possible to handle more
	  than 2 pending GOPs, which could happen before if keyframes are arriving
	  with too short of a distance between them.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1005>

2021-09-16 19:36:27 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/multifile/gstsplitmuxsink.c:
	* gst/multifile/gstsplitmuxsink.h:
	  splitmuxsink: Handle frame reordering due to B frames better
	  Instead of assuming that the PTS of a keyframe is the lowest PTS of a
	  GOP, wait until the DTS has passed this PTS and take the minimum PTS up
	  to that point. That way the minimum PTS of a GOP can be determined, at
	  least for closed GOP streams. Open GOP streams still can't be handled
	  properly.
	  By knowing the minimum PTS of each GOP, keyframes can be requested at
	  the correct time relative to the GOP (and thus fragment) start and
	  fragment overflow calculations can calculate the correct durations of
	  the GOPs.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1005>

2021-09-16 14:07:27 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/multifile/gstsplitmuxsink.c:
	  splitmuxsink: Reset timecodes when resetting the sink
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1005>

2021-09-16 13:11:20 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/multifile/gstsplitmuxsink.c:
	  splitmuxsink: Use GST_CLOCK_STIME_NONE instead of 0 to initialize max out running time
	  Otherwise streams with only DTS would misbehave while it is negative.
	  For outputting everything immediately at EOS, use G_MAXINT64 instead
	  which is bigger-or-equal to any other running time.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1005>

2021-09-16 13:02:29 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/multifile/gstsplitmuxsink.c:
	  splitmuxsink: Only update max in/out running time if it's actually bigger
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1005>

2021-09-16 12:53:12 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/multifile/gstsplitmuxsink.c:
	  splitmuxsink: Only count keyframes for the reference context, consistently
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1005>

2021-09-24 13:38:39 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtpmanager/gstrtphdrext-rfc6464.c:
	  rtphdrext: Pass just the attributes to the subclass
	  Since the base class now does the parsing, there is no need
	  to reproduce that code in all the subclasses, just pass the attributes
	  which are the only relevant bit anyway.
	  Also, only store the direction if the subclass accepted the caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/906>

2021-09-24 12:52:37 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtpmanager/gstrtphdrext-rfc6464.c:
	  rtphdrext-rfc6464: Use helper function to set caps field
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/906>

2021-09-23 16:01:40 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtp/gstrtphdrext-colorspace.c:
	* gst/rtpmanager/gstrtphdrext-twcc.c:
	  rtphdrext: Set caps without attributes as the default
	  Most subclasses just use the simple function, so just let the base class
	  do it. It makes less code in subclasses.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/906>

2021-09-23 15:36:00 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtp/gstrtphdrext-colorspace.c:
	* gst/rtpmanager/gstrtphdrext-rfc6464.c:
	* gst/rtpmanager/gstrtphdrext-twcc.c:
	  rtphdrext: Put simple caps generation as the base class default
	  Instead of having a helper function that gets called by almost every
	  subclass, just let the base class set the caps fields automatically.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/906>

2021-09-28 10:11:15 +1000  Brad Hards <bradh@frogmouth.net>

	* README:
	* RELEASE:
	  doc: update IRC links to OFTC
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/945>

2021-09-26 01:07:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/gst_plugins_cache.json:
	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/925>

=== release 1.19.2 ===

2021-09-23 01:33:39 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* docs/gst_plugins_cache.json:
	* gst-plugins-good.doap:
	* meson.build:
	  Release 1.19.2

2021-09-22 14:03:57 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtph263pdepay.c:
	  rtph263pdepay: flag keyframes on output buffers
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1091>

2021-08-18 19:47:40 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtpmanager/gstrtphdrext-twcc.c:
	  rtphdrhext-twcc: Return failure on map failure
	  This feels like exactly like a case that should fail.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1059>

2021-08-18 19:46:25 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtp/gstrtphdrext-colorspace.c:
	* gst/rtpmanager/gstrtphdrext-rfc6464.c:
	* gst/rtpmanager/gstrtphdrext-twcc.c:
	  rtphdrext: Update write() API to return a signed value
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1059>

2021-09-14 17:26:27 +0900  Seungha Yang <seungha@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Try to build AAC codec-data whenever it's possible
	  AAC codec_data is a just collection of AAC profile, samplerate, and
	  channels. We can know samplerate and channels from parsed
	  SampleEntry data. Although the AAC profile is unknown there,
	  let's assume it as AAC-LC like we've been doing for the version 1
	  atom.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1082>

2021-09-07 22:23:01 +0200  Vivienne Watermeier <vwatermeier@igalia.com>

	* gst/flv/gstflvdemux.c:
	* gst/flv/gstflvdemux.h:
	  flv: fix seqnum handling for seeks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1078>

2021-01-18 16:06:27 +1100  Matthew Waters <matthew@centricular.com>

	* gst/isomp4/gstqtmux.c:
	  isomp4: also allow muxing different h264/5 profiles/levels/etc
	  All of that is advertised through the codec_data itself so can change
	  just fine within isomp4.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1071>

2021-09-11 09:24:35 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst_plugins_cache.json:
	* gst/matroska/matroska-demux.c:
	* gst/matroska/matroska-ids.h:
	* gst/matroska/matroska-mux.c:
	  matroska: Add support for muxing/demuxing ffv1
	  Previously only demuxing when stored via the RIFF/AVI mapping was
	  supported.
	  See https://github.com/FFmpeg/FFV1/blob/master/ffv1.md#matroska-file-format
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/923
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1080>

2021-09-12 12:18:32 +0100  Philippe Normand <philn@igalia.com>

	* docs/gst_plugins_cache.json:
	  docs: Update cache
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1081>

2021-08-03 19:12:11 +0900  Seungha Yang <seungha@centricular.com>

	* ext/jpeg/gstjpegdec.c:
	  jpegdec: Fix crash when interlaced field height is not DCT block size aligned
	  In case of interlaced JPEG file, we are doubling stride.
	  The scratch scan line should take account of it as well.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1042>

2021-09-02 08:38:54 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/avi/gstavidemux.c:
	  avidemux: Also detect 0x000001 as H264 byte-stream start code in codec_data
	  This works around some AVI files storing byte-stream data in the
	  codec_data. The previous workaround was only checking for
	  0x00000001 (4 bytes) instead of 0x000001 (3 bytes).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1072>

2021-08-31 11:05:16 +0100  Philippe Normand <philn@igalia.com>

	* ext/qt/qtitem.cc:
	  qt: Fix build for Qt 5.9
	  The QQuickItem::size() method was introduced in 5.10, so use direct width() and
	  height() access instead.
	  Fixes #908
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1069>

2021-08-19 10:32:27 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tests/check/elements/rtphdrextrfc6464.c:
	  rtphdrext-rfc6464: Add test for inserting in payloader using the API
	  This makes it clearer how to use the plugin in an API driven application.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1058>

2021-08-18 19:36:07 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtpmanager/gstrtphdrext-rfc6464.c:
	  rtphdrext-rfc6464: Put max level if the audio is beyond it
	  Otherwise, it just fails to add the extension, which makes no
	  sense. And our level element produces levels higher than 127 in some
	  cases.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1058>

2021-08-18 19:35:36 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtpmanager/gstrtphdrext-rfc6464.c:
	  rtphdrext-rfc6464: Add example pipeline
	  This makes it a bit easier to understand how to use it in an application.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1058>

2021-08-18 19:07:18 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tests/check/elements/rtphdrextrfc6464.c:
	  rtphdrext-rfc6464: Add test for inserting it based on caps
	  Tests adding the extension based on the caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1058>

2021-08-27 14:32:45 +0200  Edward Hervey <edward@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Force stream-start push when re-using EOS'd streams
	  When re-using streams, we *do* need to push a `stream-start` event downstream if
	  we previously were EOS'd. Failure to do that would never remove the EOS status
	  on all downstream elements and cause weird issues.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1067>

2021-08-27 02:05:45 -0400  Brad Smith <brad@comstyle.com>

	* gst/deinterlace/meson.build:
	  deinterlace: Use proper ASM output format for *BSD OS
	  FreeBSD/NetBSD/OpenBSD amd64 use the ELF binary format.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1066>

2021-08-27 13:30:57 +1000  Matthew Waters <matthew@centricular.com>

	* ext/qt/qtitem.cc:
	  qmlgl: don't critical on input events before input format has been set
	  Accessing the unset GstVideoInfo would result in criticals
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1065>

2021-08-25 11:53:58 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtpmanager/rtpsession.c:
	  docs: Add `Since` marker to "twcc-feedback-interval" property
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/927>

2021-08-25 10:33:24 +0200  Havard Graff <havard@pexip.com>

	* docs/gst_plugins_cache.json:
	  docs: update with "twcc-feedback-interval"
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/927>

2021-04-13 16:19:22 +0200  Tulio Beloqui <tulio.beloqui@pexip.com>

	* gst/rtpmanager/rtpsession.c:
	* gst/rtpmanager/rtpstats.h:
	* gst/rtpmanager/rtptwcc.c:
	* tests/check/elements/rtpsession.c:
	  rtptwcc: changes to use rtp buffer arrival time and current time.
	  For TWCC we are more interested to track the arrival time (receive side)
	  and the current time (sender side) of the buffers rather than the
	  running time.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/927>

2021-03-26 11:57:42 +0100  Knut Inge Hvidsten <knut.hvidsten@pexip.com>

	* gst/rtpmanager/rtpstats.c:
	* gst/rtpmanager/rtptwcc.c:
	* gst/rtpmanager/rtptwcc.h:
	  rtptwcc: add payloadtype to RTPTWCCPacket
	  The consumer of the stats can then separate between different media-types,
	  and do individual stats for each of them.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/927>

2021-03-19 18:19:43 +0100  Havard Graff <havard.graff@gmail.com>

	* gst/rtpmanager/rtptwcc.c:
	  rtptwcc: make enabling TWCC sticky
	  Meaning that if a caps comes along that does NOT have TWCC in it,
	  this does not turn of TWCC for the rest, as this is in fact
	  completely allowed. (To have some payload-types not containing TWCC
	  seqnums).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/927>

2021-02-23 09:44:05 +0100  Havard Graff <havard.graff@gmail.com>

	* gst/rtpmanager/rtpsession.c:
	* gst/rtpmanager/rtptwcc.c:
	* gst/rtpmanager/rtptwcc.h:
	  rtptwcc: move TWCC-logic over to the TWCC-manager
	  Prevent cluttering up the rtpsession, and keeping things localized.
	  Also write TWCC-seqnums for *all* streams in the session if configured by
	  caps.
	  A while back WebRTC was not doing TWCC for audio, basically breaking the
	  whole idea of a "transport-wide seqnuencenumber" applying for all bundled
	  streams. However, they have since fixed this, and now it no longers
	  makes sense to be able to single out certain payloadtypes for
	  use with TWCC, rather just including them all.
	  This also makes using RTX, RED, FEC etc much simpler, as it will apply
	  to them all as they enter the rtpsession.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/927>

2021-02-23 09:50:04 +0100  Havard Graff <havard.graff@gmail.com>

	* gst/rtpmanager/rtptwcc.c:
	  rtptwcc: fix warning
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/927>

2021-02-11 15:17:16 +0100  Tulio Beloqui <tulio.beloqui@pexip.com>

	* gst/rtpmanager/rtptwcc.c:
	* tests/check/elements/rtpsession.c:
	  rtptwcc: fixes and optimizations around run-length chunks
	  Co-authored-by: Havard Graff <havard.graff@gmail.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/927>

2020-12-18 14:01:23 +0100  Havard Graff <havard.graff@gmail.com>

	* gst/rtpmanager/rtptwcc.c:
	* tests/check/elements/rtpsession.c:
	  rtptwcc: fix seqnum-wrap
	  Using the proper API to do this is obviously an improvement, and
	  adding a test for the case of a packet-loss when the seqnum wrap
	  is also a good idea.
	  Co-authored-by: Tulio Beloqui <tulio.beloqui@pexip.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/927>

2020-12-18 13:06:35 +0100  Tulio Beloqui <tulio.beloqui@pexip.com>

	* gst/rtpmanager/rtptwcc.c:
	* tests/check/elements/rtpsession.c:
	  rtptwcc: fixed feedback packet count overflow that allowed late packets to be processed
	  Co-authored-by: Havard Graff <havard.graff@gmail.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/927>

2020-12-16 16:31:18 +0100  Tulio Beloqui <tulio.beloqui@pexip.com>

	* gst/rtpmanager/rtptwcc.c:
	* tests/check/elements/rtpsession.c:
	  rtptwcc: fixed parsing of old sequence number
	  Co-authored-by: Havard Graff <havard.graff@gmail.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/927>

2020-12-16 16:16:09 +0100  Tulio Beloqui <tulio.beloqui@pexip.com>

	* gst/rtpmanager/rtptwcc.c:
	* tests/check/elements/rtpsession.c:
	  rtptwcc: fixed guint8 overflow of feedback packet count
	  Co-authored-by: Havard Graff <havard.graff@gmail.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/927>

2020-11-19 23:50:23 +0100  Havard Graff <havard.graff@gmail.com>

	* gst/rtpmanager/rtpsession.c:
	* gst/rtpmanager/rtptwcc.c:
	* gst/rtpmanager/rtptwcc.h:
	* tests/check/elements/rtpsession.c:
	  rtptwcc: add feedback-interval
	  To allow RTCP TWCC reports to be scheduled on a timer instead of per
	  marker-bit.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/927>

2021-08-20 11:54:01 +0200  Havard Graff <havard@pexip.com>

	* gst/rtpmanager/rtptwcc.c:
	* gst/rtpmanager/rtptwcc.h:
	  rtptwcc: remove _set_send_packet_ts
	  Not in use.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/927>

2020-11-17 00:45:02 +0100  Havard Graff <havard@pexip.com>

	* tests/check/elements/rtpsession.c:
	  rtptwcc: make twcc-tests more deterministic
	  They were a bit racy.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/927>

2021-08-24 13:28:22 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: add depth for ProRes 4:4:4:4 variants if available
	  Might be 24bpp in case an alpha channel is coded but
	  the image is always opaque.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1061>

2021-08-22 23:16:26 +0000  Ruslan Khamidullin <ruslank@borisfx.com>

	* gst/isomp4/gstqtmux.c:
	  qtmux: for Apple ProRes, allow overriding pixel bit depth for 4:4:4:4 variants
	  e.g. when exporting an opaque image, yet with alpha channel.
	  Apple ProRes certification requires that, when a ProRes-writing
	  application *knows* that the entire frame is opaque, the application
	  writes only RGB without alpha even when the clip is RGBA. For that,
	  this tiny change allows the app to override pixel depth when writing ProRes.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1061>

2019-05-22 11:16:56 +0200  Havard Graff <havard.graff@gmail.com>

	* ext/vpx/gstvpxdec.c:
	* ext/vpx/gstvpxdec.h:
	  vpxdec: Fix direct rendering, avoid holding write access
	  When a buffer is pushed downstream, we should try not to hold the
	  buffer mapped with write access. Doing so would often lead to
	  an unneccesary memcpy later.
	  For instance, gst_buffer_make_writable() in
	  gst_video_decoder_finish_frame() will cause a memcpy because of
	  _memory_get_exclusive_reference().
	  We know that we can perform a two-step remap when using system
	  memory, as this will not cause the location of the memory to
	  change.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/812>

2021-08-19 16:26:17 +1000  Matthew Waters <matthew@centricular.com>

	* gst/isomp4/gstqtmux.c:
	  isomp4/mux: add a function for seeking to a specific output byte position
	  We do it enough times that this makes sense.  Also add a debug log line
	  for the seek position requested.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1060>

2021-08-19 16:02:47 +1000  Matthew Waters <matthew@centricular.com>

	* gst/isomp4/atoms.c:
	  isomp4/mux: don't overwrite with a bigger moov when fragmenting
	  When outputting fragmented mp4, with a seekable downstream, we rewrite
	  the moov to maybe add a duration to the mvex.  If we start by not
	  writing the initial moov->mvex->mhed duration and then overwrite with a
	  moov containing mhed atom, the moov's will have different sizes and
	  could overwrite subsequent data and result in an unplayable file.
	  e.g. The initial moov would be of size 842 and the final moov would have
	  a size of 862.
	  Fix by always pushing out the mhed duration in the moov when
	  fragmenting.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/898
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1060>

2021-01-15 20:53:27 +1100  Matthew Waters <matthew@centricular.com>

	* gst/isomp4/gstqtmux.c:
	  isomp4: actually make streamable fallback work
	  We weren't setting the fragment_mode field anymore now that the
	  implementation doesn't change based on the value of the streamable
	  property.  This lead to invalid files.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1060>

2021-01-15 20:54:56 +1100  Matthew Waters <matthew@centricular.com>

	* gst/isomp4/gstqtmux.c:
	  isomp4: fix trun data offset handling
	  The trun offset was missing a calculation for one of the box type
	  headers.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/866
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1060>

2020-10-15 00:28:36 +1100  Matthew Waters <matthew@centricular.com>

	* gst/isomp4/atoms.c:
	* gst/isomp4/gstqtmux.c:
	  isomp4/mux: fixes for fragmented mp4 output
	  Various buffer offset calculations were not quite correct in all cases.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/866
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1060>

2021-08-10 00:53:57 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/gst_plugins_cache.json:
	* gst/matroska/matroska-mux.c:
	  matroska-mux: support H264 avc3 / H265 hev1
	  The matroska codec specs is unfortunately vague on the subject,
	  stating for H264:
	  AVC/H.264 stored as described in [@!ISO.14496-15]
	  and for H265:
	  HEVC/H.265 stored as described in [@!ISO.14496-15]
	  This spec however specifies multiple stream formats, our
	  implementation has opted for interpreting this as avc1 / hvc1,
	  both of which disallow in-band SPS.
	  Most decoders however will support in-band SPS / PPS, and
	  this commit gives the option to explicitly mux in avc3 / hev1,
	  which allows changing stream parameters on the fly, that is
	  useful for smart encoding for example.
	  When either of these stream formats are picked as the input,
	  changes in codec_data / tier / level / profile do not cause
	  renegotiation failure, a warning is logged however as it isn't
	  clear how compliant such a stream is.
	  The stream-format field is correctly ordered in the template
	  caps to avoid selecting potentially non-compliant options on
	  automatic negotiation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1047>

2021-08-10 00:51:36 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/isomp4/gstqtmux.c:
	  isomp4/qtmux: allow renegotiating when tier / level / profile change
	  Those are carried either in codec_data or in-band SPS (for avc3),
	  and it is OK for those to change, though decoders obviously need
	  to support it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1047>

2021-08-06 23:36:48 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/isomp4/gstqtmux.c:
	* gst/isomp4/gstqtmuxmap.c:
	  isomp4/qtmux: accept video/x-h264, stream-format=avc3
	  The main difference between avc1 and avc3 is that avc3 is allowed
	  to contain in-band SPS / PPS. In practice decoders will always use
	  in-band parameter sets anyway, but it is cleaner to explicitly
	  advertise it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1047>

2021-08-06 22:59:23 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/isomp4/gstqtmux.c:
	  isomp4/qtmux: make sure to switch to next chunk on new caps
	  For example, with single video sink pad, and new codec_data is
	  received, current_chunk_offset must be reset to -1 for the
	  aggregate loop to open a new chunk.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1047>

2021-08-06 22:55:32 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/isomp4/atoms.c:
	  isomp4/atoms: fix multiple stsd entries
	  stsd entries are serialized in reverse order (starting from
	  g_list_last()), and must be prepended to the entry list for their
	  index to be correct when referenced from stsc entries.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1047>

2021-08-12 11:03:58 -0400  Arun Raghavan <arun@asymptotic.io>

	* docs/gst_plugins_cache.json:
	* gst/matroska/matroska-mux.c:
	* gst/matroska/matroska-mux.h:
	  matroska-mux: Add a timestamp-offset property
	  Adds a user-controllable timestamp offset to clusters and blocks. This
	  should be useful if we want to have timestamps that have significance
	  outside of the current file (for example, we might set the offset to the
	  wallclock when the file is being created, or some other common base, if
	  we want to correlate streams across multiple files).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1051>

2021-07-15 12:02:40 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* gst/matroska/matroska-demux.c:
	  matroska: demux: update stream_start_time
	  The stream_start_time can be less than the first detected.
	  In case of B-Frame based media, the first frame PTS might be
	  greater than the next one.
	  Need to keep the segment.start if a seek has been performed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1030>

2021-08-17 16:08:33 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/matroska/matroska-demux.c:
	  mastrokademux: Remove redundant assignment
	  The segment.position is unconditionnaly set few lines below.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1030>

2021-08-17 16:49:47 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/videocrop/gstvideocrop.c:
	* tests/icles/videocrop-test.c:
	  videocrop: Fix icles tests.
	  Internally videcrop can call gst_video_crop_set_info() with NULL as in
	  caps. Then critical messages are raised when the in caps are
	  processed.
	  To fix this the in caps are checked, and if they are present, its
	  capsfeature is extracted, otherwise, the previous raw caps detection
	  remains as before.
	  Also the videocrop-test removes the format field in the structure
	  because now its always passed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1056>

2021-01-08 17:34:02 +0100  Jakub Adam <jakub.adam@collabora.com>

	* docs/gst_plugins_cache.json:
	* gst/rtp/gstrtp.c:
	* gst/rtp/gstrtpelements.h:
	* gst/rtp/gstrtphdrext-colorspace.c:
	* gst/rtp/gstrtphdrext-colorspace.h:
	* gst/rtp/meson.build:
	* tests/check/elements/rtphdrext-colorspace.c:
	* tests/check/meson.build:
	  rtp: Color Space header extension
	  Implements WebRTC header extension defined in
	  http://www.webrtc.org/experiments/rtp-hdrext/color-space.
	  It uses RTP header to communicate color space information and optionally
	  also metadata that is needed in order to properly render a high dynamic
	  range (HDR) video stream.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/853>

2021-08-09 10:46:30 +0800  Hou Qi <qi.hou@nxp.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2: Add protection when set decoder capture fps accroding to output fps
	  Some v4l2 drivers don't have the capacity to change framerate. There is
	  chance to make decoder capture fps to be 0/0 if numerator and denominator
	  returned by G_PARM ioctl are both 0. It causes critical warning
	  "passed '0' as denominator for `GstFraction'".
	  In order to fix this, add protection when set decoder capture fps according
	  to output fps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1048>

2021-06-01 15:33:01 +0200  Per Förlin <perfn@axis.com>

	* docs/gst_plugins_cache.json:
	* gst/rtsp/gstrtspsrc.c:
	* gst/rtsp/gstrtspsrc.h:
	  rtspsrc: Add support to ignore x-server HEADER reply
	  When connecting to an RTSP server in tunnled mode (HTTP) the server
	  usually replies with a x-server header. This contains the address
	  of the intended streaming server. However some servers return an
	  "invalid" address. Here follows two examples when it might happen.
	  1. A server use Apache combined with a separate RTSP process to handle
	  Https request on port 443. In this case Apache handle TLS and
	  connects to the local RTSP server, which results in a local
	  address 127.0.0.1 or ::1 in the x-server reply. This address is
	  returned to the actual RTSP client in the x-server header.
	  The client will receive this address and try to  connect to it
	  and fail.
	  2. The client use a ipv6 link local address with a specified scope id
	  fe80::aaaa:bbbb:cccc:dddd%eth0 and connects via Http on port 80.
	  The RTSP server receives the connection and returns the address
	  in the x-server header. The client will receive this address and
	  try to connect to it "as is" without the scope id and fail.
	  In the case of streaming data from RTSP servers like 1. and 2. it's
	  useful to have the option to simply ignore the x-server header reply
	  and continue using the original address.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1007>

2021-08-04 12:33:06 +0700  Dmitry Shusharin <pmdvsh@gmail.com>

	* ext/qt/qtitem.cc:
	  gstqmlgl: fix indent
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1032>

2021-07-30 16:52:23 +0700  Dmitry Shusharin <pmdvsh@gmail.com>

	* ext/qt/gstqsgtexture.cc:
	* ext/qt/gstqsgtexture.h:
	  gstqmlgl: wrap raw GstGLContext into GWeakRef
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1032>

2021-07-30 16:32:13 +0700  Dmitry Shusharin <pmdvsh@gmail.com>

	* tests/examples/qt/meson.build:
	* tests/examples/qt/qmlsink-multisink/main.cpp:
	* tests/examples/qt/qmlsink-multisink/main.qml:
	* tests/examples/qt/qmlsink-multisink/meson.build:
	* tests/examples/qt/qmlsink-multisink/qmlsink-multi.qrc:
	* tests/examples/qt/qmlsink-multisink/videoitem/VideoItem.qml:
	* tests/examples/qt/qmlsink-multisink/videoitem/videoitem.cpp:
	* tests/examples/qt/qmlsink-multisink/videoitem/videoitem.h:
	  gstqmlgl: add multisink test application
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1032>

2021-07-30 17:21:46 +0700  Dmitry Shusharin <pmdvsh@gmail.com>

	* ext/qt/qtitem.cc:
	* ext/qt/qtitem.h:
	  gstqmlgl: refactoring: rename ambiguous variables, clean up unused and duplicated ones
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1032>

2021-07-30 17:20:59 +0700  Dmitry Shusharin <pmdvsh@gmail.com>

	* ext/qt/gstqtglutility.cc:
	  gstqmlgl: rework WGL-specific context init code
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1032>

2021-07-30 17:20:49 +0700  Dmitry Shusharin <pmdvsh@gmail.com>

	* ext/qt/gstqtglutility.cc:
	  gstqmlgl: retrieve correct device bound to current GL context (+ minor code cleanup)
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1032>

2021-07-30 17:20:25 +0700  Dmitry Shusharin <pmdvsh@gmail.com>

	* ext/qt/gstqsgtexture.cc:
	  gstqmlgl: correct validation for Qt GL context
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1032>

2021-07-30 17:20:07 +0700  Dmitry Shusharin <pmdvsh@gmail.com>

	* ext/qt/gstqtglutility.h:
	* ext/qt/qtitem.cc:
	* ext/qt/qtitem.h:
	* ext/qt/qtwindow.cc:
	* ext/qt/qtwindow.h:
	  gstqmlgl: create helper QRunnable-based class for render jobs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1032>

2021-08-06 16:25:02 +0200  Tulio Beloqui <tulio@pexip.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	* tests/check/elements/rtpjitterbuffer.c:
	  rtpjitterbuffer: fixed stall on gap when using rtx
	  Co-authored-by: Håvard Graff <havard@pexip.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1055>

2021-08-13 19:32:53 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/flv/gstindex.c:
	  flv: use g_memdup2() as g_memdup() is deprecated
	  g_memdup() is deprecated since GLib 2.68 and we want to avoid
	  deprecation warnings with recent versions of GLib.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1052>

2021-08-15 12:26:38 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Always use the content decoder but set `Accept-Encoding: identity` if no compression should be used
	  Some servers respond with gzip-encoded responses regardless of whether
	  the request allowed it to be used in the response. By always having the
	  content decoder enabled, these invalid responses can be decoded
	  correctly while for well-behaving servers the `compress` property
	  selects between allowing compressed responses or not.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/833
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1053>

2021-08-12 22:57:01 +1000  Matthew Waters <matthew@centricular.com>

	* ext/qt/gstqtglutility.cc:
	  qt: always update the sink_retrieved flag when the sink retrieves
	  Fixes a case where adding a qmlgloverlay element after an existing
	  qmlglsink elements was already in the pipeline would create an entirely
	  separate GstGLDisplay pointing to the same underlying display resource.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1050>

2021-08-11 14:52:52 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/videocrop/gstaspectratiocrop.c:
	* gst/videocrop/gstaspectratiocrop.h:
	* gst/videocrop/gstvideocrop.c:
	* gst/videocrop/gstvideocrop.h:
	* gst/videocrop/gstvideocropelement.c:
	* gst/videocrop/gstvideocropelements.h:
	* gst/videocrop/gstvideocropplugin.c:
	* gst/videocrop/meson.build:
	  videocrop: Resurrect logging category.
	  Fix for a regression from commit 8f1384c9. That commit moved the debug
	  category definition, as static, into a gstvideocropelement.c, but that
	  category was used as default, in gstvideocrop.c, so it was never used
	  at logging, so the debug selector never showed the logs for
	  videocrop.
	  This patch move back the category definition into gstvideocrop.c and
	  leaving the function videocrop_element_init() as a noop.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1049>

2021-07-31 23:14:34 +0900  Seungha Yang <seungha@centricular.com>

	* ext/jpeg/meson.build:
	  jpeg: Add support for meson fallback
	  Allow building jpeg plugin by using meson fallback
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1041>

2021-07-27 10:43:21 +0800  Hou Qi <qi.hou@nxp.com>

	* sys/v4l2/gstv4l2object.c:
	* sys/v4l2/gstv4l2videodec.c:
	  v4l2: Keep decoder capture fps same as output fps if it's not set
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1035>

2021-07-27 18:33:18 +0900  Seungha Yang <seungha@centricular.com>

	* docs/gst_plugins_cache.json:
	* ext/jack/gstjack.c:
	* ext/jack/gstjack.h:
	* ext/jack/gstjackaudioclient.c:
	* ext/jack/gstjackaudioclient.h:
	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosink.h:
	* ext/jack/gstjackaudiosrc.c:
	* ext/jack/gstjackaudiosrc.h:
	  jack: Add port-names property to select ports explicitly
	  By this new property, user can select physical port to connect,
	  and element will pick requested port instead of random ones.
	  User should provide full port name including "client_name:" prefix.
	  An example is
	  jackaudiosrc port-names="system:capture_1,system:capture_3" ! ...
	  jackaudiosink port-names="system:playback_2"
	  In addition to "port-names" property, a new connect type "explicit"
	  is added so that element can post error message if requested
	  "port-names" contains invalid port(s).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1037>

2021-07-23 11:04:00 +0200  Kai Uwe Broulik <kai_uwe.broulik@mbition.io>

	* ext/qt/gstqsgtexture.cc:
	* ext/qt/gstqtsink.cc:
	  qt: Support RGB format
	  In GstQSGTexture::hasAlphaChannel return value based on
	  whether the video format has alpha channel.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1040>

2021-07-26 20:14:32 +0900  Seungha Yang <seungha@centricular.com>

	* docs/gst_plugins_cache.json:
	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosink.h:
	* ext/jack/gstjackaudiosrc.c:
	* ext/jack/gstjackaudiosrc.h:
	  jack: Add low-latency property for automatic latency-optimized setting
	  Similar to wasapi/wasapi2 plugins on Windows, adding low-latency
	  option so that jack element can optimize GstAudioRingBufferSpec
	  setting for low latency.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1034>

2021-07-26 19:55:25 +0900  Seungha Yang <seungha@centricular.com>

	* ext/jack/gstjackaudioclient.c:
	* ext/jack/gstjackaudioclient.h:
	* ext/jack/gstjackaudiosrc.c:
	* ext/jack/gstjackringbuffer.h:
	  jack: Remove trailing whitespace
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1034>

2021-07-27 17:58:15 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* docs/gst_plugins_cache.json:
	* gst/videocrop/gstvideocrop-private.h:
	  videocrop: Resurrect any caps feature negotiation.
	  Commit e31cbce4 brought a regression to negotiate featured caps. But
	  only by removing the entry in the caps template. This commit brings it
	  back.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1039>

2021-07-26 18:43:04 +0900  Seungha Yang <seungha@centricular.com>

	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosrc.c:
	  jack: Fix assertion fail when device supports only mono channel
	  MAX should be larger than MIN for GST_TYPE_INT_RANGE.
	  GStreamer-CRITICAL **: 18:26:27.912:
	  gst_value_collect_int_range: assertion 'collect_values[0].v_int < collect_values[1].v_int' failed
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1033>

2021-07-21 20:14:46 +1000  Matthew Waters <matthew@centricular.com>

	* ext/qt/gstqtsrc.cc:
	* ext/qt/qtwindow.cc:
	* ext/qt/qtwindow.h:
	  qmlglsrc: fix operation without any qmlglsink
	  E.g. a pipeline like qmlglsrc ! gldownload ! ... would currently fail to
	  run because the OpenGL context are not created in the correct order.
	  The QtWindow also needs to know the OpenGL context used by downstream
	  elements in order to set optimize for the correct GstGLSyncMeta for
	  synchonisation purposes.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1036>

2021-07-26 17:55:24 +1000  Jan Schmidt <jan@centricular.com>

	* gst/multifile/gstsplitmuxsink.c:
	  splitmuxsink: Fix some reference leaks in error cases.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1023>

2021-07-08 00:12:52 +1000  Jan Schmidt <jan@centricular.com>

	* gst/multifile/gstsplitmuxsink.c:
	* tests/check/elements/splitmuxsink.c:
	  splitmuxsink: Prevent hang going back to NULL after failures
	  Prevent a condition where splitmuxsink won't go back to NULL state
	  after a child element fails to change state by making sure that
	  a READY->READY state change doesn't fail, and by returning
	  GST_FLOW_ERROR or GST_FLOW_FLUSHING upstream to shut down streaming
	  as quickly as possible.
	  This can happen after (for example) setting an invalid filename
	  on the sink element. In that case, the READY->PAUSED transition
	  fails, but with internal elements still in the NULL state. Trying
	  to set splitmuxsink back to NULL then ends up trying to bring
	  those NULL elements up to READY with a READY->READY transition,
	  (which fails, prevent splitmuxsink from getting to NULL)
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1023>

2021-07-13 01:27:45 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/deinterlace/gstdeinterlace.c:
	  deinterlace: reduce noise when gst_pad_set_caps fails
	  It may be that downstream is simply flushing, in which case logging
	  an error is misleading.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1029>

2021-07-08 02:22:20 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/multifile/gstsplitmuxsink.c:
	  splitmuxsink: always use factory property when set
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1024>

2021-06-21 13:47:50 +0200  Yacine Bandou <yacine.bandou@softathome.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: No need for new "application/x-cbcs" caps
	  Instead of using the new "application/x-cbcs" caps, we are just adding
	  a new structure field "ciphe-mode", to indicate which encryption scheme
	  is used: "cenc", "cbcs", "cbc1" or "cens".
	  Similarly for the protection metadata, we add the "cipher-mode" field
	  to specify the encryption mode with which the buffers are encrypted.
	  "cenc": AES-CTR (no pattern)
	  "cbc1": AES-CBC (no pattern)
	  "cens": AES-CTR (pattern specified)
	  "cbcs": AES-CBC (pattern specified, using a constant IV)
	  Currently only "cenc" and "cbcs" are supported.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1013>

2021-07-05 16:12:57 +0100  Philippe Normand <philn@igalia.com>

	* ext/qt/qtitem.h:
	  qt: Fix clang build
	  The updatePaintNode method is part of the QQuickItem class interface, so needs
	  to be flagged as overriding the default implementation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/567>

2020-04-15 10:38:04 +0100  Philippe Normand <philn@igalia.com>

	* ext/qt/gstqtsink.cc:
	* ext/qt/qtitem.cc:
	* ext/qt/qtitem.h:
	  qt: Add navigation events support
	  Currently handles only mouse events.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/567>

2020-04-15 10:33:22 +0100  Philippe Normand <philn@igalia.com>

	* ext/gtk/gtkgstbasewidget.c:
	  gtk: Scroll events dispatch support
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/567>

2021-07-02 01:41:05 +1000  Jan Schmidt <jan@centricular.com>

	* gst/matroska/matroska-mux.c:
	  matroskamux: Always write a tags element into seekhead
	  If there are only stream tags, we still want to write the
	  tags entry into the seekhead, so that tags can be found
	  quickly in the player.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/905
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1020>

2021-06-30 23:52:26 +0900  Seungha Yang <seungha@centricular.com>

	* gst/isomp4/gstqtmux.c:
	  qtmux: Don't need to update track per GstCaps if it's not changed
	  Skip GstQTMuxPad::set_caps() call for duplicated caps.
	  All the processing done in set_caps() method for duplicated caps
	  are redundant.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1019>

2021-07-01 13:18:45 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtpmanager/gstrtpssrcdemux.c:
	  rtpssrcdemux: Remove pads and reset the element also in READY->NULL
	  Mostly for completeness.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1018>

2021-07-01 13:18:09 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtpmanager/gstrtpptdemux.c:
	  rtpptdemux: Remove pads also in PAUSED->READY
	  They're based on per-stream information and that should be reset
	  whenever going to READY state.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1018>

2021-02-16 16:39:34 +0100  Jakub Adam <jakub.adam@collabora.com>

	* docs/gst_plugins_cache.json:
	  docs: update plugins cache for vp9enc
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/874>

2021-04-09 19:22:29 +0200  Jakub Adam <jakub.adam@collabora.com>

	* ext/vpx/gstvp9enc.c:
	* ext/vpx/gstvp9enc.h:
	* ext/vpx/gstvpxenums.h:
	* ext/vpx/meson.build:
	  vpx: add enum for adaptive quantization modes
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/874>

2021-02-16 13:28:00 +0100  Jakub Adam <jakub.adam@collabora.com>

	* ext/vpx/gstvp9enc.c:
	* ext/vpx/gstvp9enc.h:
	  vp9enc: expose frame-parallel-decoding property
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/874>

2021-02-16 12:57:55 +0100  Jakub Adam <jakub.adam@collabora.com>

	* ext/vpx/gstvp9enc.c:
	* ext/vpx/gstvp9enc.h:
	  vp9enc: expose aq-mode property
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/874>

2021-06-26 20:00:03 +0900  Seungha Yang <seungha@centricular.com>

	* gst/udp/gstmultiudpsink.c:
	  multiudpsink: Fix broken SO_SNDBUF get/set on Windows
	  SO_SNDBUF has been undefined on Windows because of missing WinSock2.h
	  include. And don't use native socket functions (e.g., setsockopt())
	  if code is expected to be built on Windows. We don't link ws2_32.lib
	  for this plugin.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1016>

2021-06-24 14:57:14 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/rtpmanager/gstrtphdrext-twcc.c:
	  rtpmanager: Access GstRTPHdrExt fields through accessor
	  This way, the implementation can be private.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1017>

2021-06-22 17:19:19 +1000  Jan Schmidt <jan@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Refuse seeks in BYTES format
	  If downstream tries to seek in BYTES format, don't pass that through
	  to upstream. The byte positions downstream requests won't make any
	  sense in the muxed stream. There might be other formats we want to
	  pass through to upstream, but BYTES is not one of them. If we get a
	  seeking query about BYTES format, refuse that too.
	  This fixes a situation where we're playing a fragmented mp4 over http
	  and qtdemux refuses the initial seek (in TIME format), but then
	  h264parse/baseparse send a seek in BYTES format and everything falls
	  apart.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1014>

2021-06-16 16:30:59 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/rtp/gstrtph265depay.c:
	  rtph265depay: update codec_data in caps regardless of format
	  Updating of codec_data in the caps is important to propagate changes
	  in sps/pps/vps via NALs. Without this, downstream does not renegotiate
	  when upstream changes resolution.
	  The comment referring to rtph264pay is from 2015 and is out of date.
	  rtph264pay stopped doing that in 2017 with commit
	  dabeed52a995d27e16eba9e4617e61eb0bcd44c4
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1011>

2021-06-04 13:56:05 +0300  Jordan Petridis <jordan@centricular.com>

	* docs/gst_plugins_cache.json:
	  doc: update gst_plugins_cache.json
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1006>

2021-06-03 20:33:45 +1000  Matthew Waters <matthew@centricular.com>

	* ext/qt/qtitem.cc:
	  qtitem: don't potentially leak a large number of buffers
	  The only other place where these queued buffers are removed, is in
	  setCaps() but that is not called at all on shutdown so this list of
	  buffers could not be removed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1004>

2021-05-28 09:54:12 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* docs/gst_plugins_cache.json:
	* ext/jpeg/gstjpegenc.c:
	  jpegenc: Remove arbitrary encoding size limitation
	  The encoder is happy to encode with sizes less then 16x16, so remove this
	  arbitrary limitation. This also fixes the fact the sink and src template caps
	  disagree.
	  Fixes #888
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/998>

2021-05-23 15:42:38 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: use g_memdup2() as g_memdup() is deprecated
	  - atom nodes/bytereader sizes are already checked
	  - palettes: are fixed/known size
	  g_memdup() is deprecated since GLib 2.68 and we want to avoid
	  deprecation warnings with recent versions of GLib.
	  Also use gst_buffer_new_memdup() instead of _wrapped(g_memdup(),..).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/993>

2021-05-23 01:28:11 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/matroska/ebml-read.c:
	* gst/matroska/matroska-demux.c:
	* gst/matroska/matroska-ids.c:
	* gst/matroska/matroska-read-common.c:
	  matroskademux: use g_memdup2() as g_memdup() is deprecated
	  - ebml-read: add some sanity checks when going from 64-bit
	  to 32-bit length
	  - matroska-ids: codec_data_size has been checked via
	  gst_ebml_read_binary(), is existing allocation.
	  - matroska-demux: alloc size is from existing allocations
	  g_memdup() is deprecated since GLib 2.68 and we want to avoid
	  deprecation warnings with recent versions of GLib.
	  Also use gst_buffer_new_memdup() instead of _wrapped(g_memdup(),..).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/993>

2021-05-22 19:39:32 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/libpng/gstpngdec.c:
	* ext/vpx/gstvpxenc.c:
	* ext/wavpack/gstwavpackenc.c:
	* meson.build:
	* tests/check/elements/rtp-payloading.c:
	* tests/check/elements/rtph264.c:
	* tests/check/elements/rtph265.c:
	* tests/check/elements/rtpopus.c:
	* tests/check/elements/rtpvp8.c:
	* tests/check/elements/rtpvp9.c:
	* tests/icles/gdkpixbufoverlay-test.c:
	  Use g_memdup2() where available and add fallback for older GLib versions
	  - png: alloc size variable is a png type that's always 32-bit
	  - vpx: alloc size based on existing allocation
	  - wavpack: alloc size based on existing allocation
	  - icles: gdkpixbufoverlay: trusted and hard-coded input data
	  - rtp tests: rtp-payloading, vp8, vp9, h264, h265: trusted and/or static input data
	  g_memdup() is deprecated since GLib 2.68 and we want to avoid
	  deprecation warnings with recent versions of GLib.
	  Also use gst_buffer_new_memdup() instead of _wrapped(g_memdup(),..)
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/993>

2021-06-01 15:28:36 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/gst_plugins_cache.json:
	* meson.build:
	  Back to development

=== release 1.19.1 ===

2021-06-01 00:11:44 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* README:
	* RELEASE:
	* docs/gst_plugins_cache.json:
	* gst-plugins-good.doap:
	* meson.build:
	  Release 1.19.1

2021-05-29 12:54:22 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtpjpegpay.c:
	  rtpjpegpay: fix image corruption when compiled with MSVC on Windows
	  On Windows with MSVC, jpeg_header_size would end up 2 bytes larger
	  than it should be. This then leads to the first 2 bytes of the
	  actual jpeg image data to be dropped, because we think those
	  belong to the header, which results in an undecodable image when
	  reconstructed in the depayloader.
	  What happens is that when the compiler evaluates
	  jpeg_header_size = mem.offset + read_u16_and_inc_offset_by_2(&mem);
	  it actually uses the mem.offset value after it has been increased
	  by the function call on the right hand size of the equation.
	  From section 6.5 of the C99 spec:
	  3. The grouping of operators and operands is indicated by the syntax [74].
	  Except as specified later (for the function-call (), &&, ||, ?:, and
	  comma operators), the order of evaluation of subexpressions and the
	  order in which side effects take place are both unspecified.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/889
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/999>

2021-05-25 16:19:20 +0800  Hou Qi <qi.hou@nxp.com>

	* sys/v4l2/gstv4l2videoenc.c:
	  v4l2videoenc: Set default latency if the frame duration is invalid
	  If the duration of the v4l2object is invalid, use default 25fps instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/996>

2021-05-26 00:23:56 +0900  Seungha Yang <seungha@centricular.com>

	* gst/deinterlace/gstdeinterlace.c:
	  deinterlace: Drop "field-order" field while transforming caps
	  Like other basetransform subclasses are doing, drop field
	  which can be converted by deinterlace.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/997>

2021-05-25 20:10:34 +0900  Seungha Yang <seungha@centricular.com>

	* gst/deinterlace/gstdeinterlace.c:
	  deinterlace: Drop field-order field if outputting progressive
	  Progressive with field-order doesn't make sense
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/997>

2021-05-21 14:19:29 +0200  Havard Graff <havard@pexip.com>

	* gst/rtpmanager/gstrtpssrcdemux.c:
	* tests/check/elements/rtpssrcdemux.c:
	  rtpssrcdemux: fix "data flow before segment event" crash
	  This crash could happen at any time a RTP and RTCP buffer arrived
	  simultaneously in ssrcdemux.
	  The problem was that sticky-event arriving while the rtp and rtcp pads
	  were being set up could arrive just too late to be included in the initial
	  forwarding.
	  The fix checks if the stickies have been sent on the srcpad about to be
	  pushed on, and if not sends them. It also blocks any stickes from
	  being forwarded *prior* to this happening, to avoid them arriving on
	  the srcpad multiple times.
	  Since the test loops 1000 times, this will make running under valgrind
	  take forever, so use the RUNNING_ON_VALGRIND variable to detect we
	  are running under valgrind, and reduce the loop-count to 2 in that case.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/992>

2021-05-21 18:45:17 +0200  Havard Graff <havard@pexip.com>

	* gst/rtpmanager/gstrtpssrcdemux.c:
	  rtpssrcdemux: refactor destruction of GstRtpSsrcDemuxPads
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/992>

2021-05-21 18:30:28 +0200  Havard Graff <havard@pexip.com>

	* gst/rtpmanager/gstrtpssrcdemux.c:
	* gst/rtpmanager/gstrtpssrcdemux.h:
	  rtpssrcdemux: make naming consistent
	  Use plural for GstRtpSsrcDemuxPads, since it contains two pads, and
	  use the variable-name 'dpads' everywhere.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/992>

2021-05-23 15:14:11 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/wavparse/gstwavparse.c:
	  wavparse: use g_strndup() for copying text data
	  So we don't rely on NUL terminators inside the data.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/994>

2021-05-23 13:29:07 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/wavparse/gstwavparse.c:
	  wavparse: clean up adtl/note/labl chunk parsing
	  We were passing the size of the adtl chunk to the note/labl
	  sub-chunk parsing function, which means we may memdup lots of
	  data after the chunk string's NUL terminator that doesn't
	  really belong to it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/994>

2021-05-23 13:24:21 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/wavparse/gstwavparse.c:
	  wavparse: guard against overflow when comparing chunk sizes
	  Could be rewritten as lsize > (size - 8) a well, but the
	  extra check seems clearer. Doesn't look like it was problematic,
	  lsize wasn't actually used when parsing the sub-chunks.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/994>

2021-05-21 13:31:12 -0300  Daniel Almeida <daniel.almeida@collabora.com>

	* docs/gst_plugins_cache.json:
	  doc: update gst_plugins_cache.json
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/991>

2021-05-05 13:20:04 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* gst/matroska/matroska-demux.c:
	  matroskademux: fix decoder glitches with H264 content
	  To avoid decoder starvation causing glitches on screen,
	  the demuxer shall clip only when the buffer is a key frame
	  and the lace time is greater than the stop time.
	  Fixes gst-editing-services#128
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/973>

2021-05-11 20:41:38 +1000  Matthew Waters <matthew@centricular.com>

	* ext/qt/gstqtoverlay.cc:
	  qml: don't use buffers that have invalid contents
	  If the GL context is not shareable, ignore it.
	  A future change may also not output the relevant output either.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/983>

2021-05-11 20:38:52 +1000  Matthew Waters <matthew@centricular.com>

	* ext/qt/gstqsgtexture.cc:
	  qml: also use the dummy texture when no buffer has been set
	  Fixes corrupted texture output when changing OpenGL display/contexts.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/983>

2021-05-11 17:20:00 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* docs/gst_plugins_cache.json:
	  doc: Update cache for RGBP format addition
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/968>

2021-04-23 14:37:46 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/matroska/matroska-demux.c:
	* gst/matroska/matroska-ids.c:
	* gst/matroska/matroska-ids.h:
	  matroskademux: Advertise codec-alpha in caps
	  This will be used to select the appropriate decoders. We also only attach the
	  GstVideoCodecAlphaMeta if the AlphaMode element is set, this is to stay on the
	  safe side and mimic what browsers (verified in Firefox and Chromium code) do.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/968>

2021-03-22 16:58:26 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/matroska/matroska-demux.c:
	  matroskademux: Store alpha stream in VideoCodecAlphaMeta
	  This generalize the feature over using mini object quark data. If
	  that feature was Matroska specifc, using the new CustomMeta would have
	  been enough and arguably cleaner then QData, though it seems that
	  similar technique is use with AV1 Image Format (AVIF).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/968>

2016-12-03 14:27:57 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/matroska/matroska-demux.c:
	  matroska-demux: extract VP8 alpha from BlockAdditionals
	  And put it on buffers as qdata (which is easier in this
	  case than a private custom meta because it can be picked
	  up easily in other modules).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/968>

2021-05-03 17:39:05 +1000  Matthew Waters <matthew@centricular.com>

	* ext/qt/gstqtglutility.cc:
	* ext/qt/gstqtglutility.h:
	* ext/qt/gstqtoverlay.cc:
	* ext/qt/qtitem.cc:
	* ext/qt/qtwindow.cc:
	  qt: return a different GstGLDisplay object when the first sink requests
	  This allows the 'replace-gstreamer-opengl-context' context machinery to
	  correctly replace the OpenGL context used by the pipeline when the first
	  qmlglsink is added to the pipeline.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/982>

2021-05-07 11:16:47 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/udp/gstudpsrc.c:
	  udpsrc: Plug leaks of saddr in error cases
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/977>

2021-05-07 11:16:21 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/udp/gstudpsrc.c:
	  udpsrc: Whitespace
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/977>

2021-05-07 00:43:44 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/deinterlace/gstdeinterlace.c:
	  deinterlace: Plug a method subobject leak
	  Changing the method would leak the previous method.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/976>

2021-05-06 15:04:42 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/vpx/gstvp9enc.c:
	  vp9enc: Add color range support
	  When setting the colorspace, we now clear the range to reduced range,
	  the default, and then we also set the range so the VP9 encoder encodes
	  the right information in the bitstream.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/975>

2021-05-06 14:51:31 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/vpx/gstvp9enc.c:
	* ext/vpx/gstvpxenc.c:
	  vp9enc: Move colorspace configuration in VP9 enc
	  This is not supported by VP8 and was causing a warning.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/975>

2021-05-06 14:48:36 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/vpx/gstvp9enc.c:
	* ext/vpx/gstvpxenc.c:
	* ext/vpx/gstvpxenc.h:
	  vpxdenc: Add a GstVideoCodecState to configure_encoder virtual
	  This will be needed to configure the VP9 specific colorimetry, which is
	  currently configured for VP8 casing warning.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/975>

2021-05-05 16:48:10 +0200  Bastien Nocera <hadess@hadess.net>

	* ext/gtk/gtkgstbasewidget.c:
	  gtk: Remove coordinates double-translation
	  Remove our own translation in the mouse event capture code, as that
	  translation will be done through the navigation interface.
	  Tested by resizing the window created by:
	  gst-launch-1.0 -v videotestsrc ! navigationtest ! glupload ! glcolorconvert ! tee name=t  ! gtkglsink
	  and checking that the cursor follows the mouse as expected.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/974>

2021-05-05 14:28:15 +0200  Bastien Nocera <hadess@hadess.net>

	* ext/gtk/gstgtkbasesink.c:
	  gtk: Translate navigation events coordinates
	  If the application passed down some pointer coordinates, translate those
	  from display coordinates to stream coordinates, so things work as
	  expected even if the video is resized.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/974>

2021-05-05 14:24:31 +0200  Bastien Nocera <hadess@hadess.net>

	* ext/gtk/gtkgstbasewidget.c:
	* ext/gtk/gtkgstbasewidget.h:
	  gtk: Export _display_size_to_stream_size()
	  Export _display_size_to_stream_size() so that GstNavigation implementors
	  can translate from display coordinates to stream coordinates before
	  pushing the events upstream to the DVD source, for example.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/974>

2018-02-26 17:26:41 +0100  David Fernandez <d.fernandezlop@gmail.com>

	* docs/gst_plugins_cache.json:
	* gst/matroska/matroska-mux.c:
	  matroska-mux: Change accepted caps width and height from [16, MAX] to [1, MAX]
	  There are cases where the video size might be less than 16x16.
	  This change allows the Matroska muxer to accept this cases.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/539>

2021-04-20 22:08:23 +0200  François Laignel <fengalin@free.fr>

	* gst/multifile/gstsplitmuxsink.c:
	* gst/rtpmanager/gstrtpbin.c:
	* gst/rtsp/gstrtspsrc.c:
	* tests/check/elements/avimux.c:
	* tests/check/elements/flvmux.c:
	* tests/check/elements/interleave.c:
	* tests/check/elements/qtmux.c:
	* tests/check/elements/rtpbin.c:
	* tests/check/elements/rtpcollision.c:
	* tests/check/elements/rtpmux.c:
	* tests/check/elements/splitmuxsink.c:
	* tests/check/elements/videomixer.c:
	* tests/examples/rtp/client-PCMA.c:
	* tests/examples/rtp/server-alsasrc-PCMA.c:
	  Use gst_element_request_pad_simple
	  Instead of the deprecated gst_element_get_request_pad.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/958>

2021-04-30 08:12:47 +1000  Jan Schmidt <jan@centricular.com>

	* gst/isomp4/atoms.c:
	* gst/isomp4/atoms.h:
	  qtmux: Make sure to write 64-bit STCO table when needed.
	  qtmux attempts to choose between writing a 32-bit stco chunk offset table
	  when it can, but switch to a 64-bit co64 table when file offsets go over
	  4GB.
	  This patch fixes a problem where the atom handling code was checking
	  mdat-relative offsets instead of the final file offset (computed by
	  adding the mdat position plus the mdat-relative offset) - leading to
	  problems where files with a size between 4GB and 4GB+offset-of-the-mdat
	  would write incorrect STCO tables with some samples having truncated
	  32-bit offsets.
	  Smaller files write STCO correctly, larger files would switch to
	  co64 and also output correctly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/970>

2021-04-22 15:01:32 +0800  Hou Qi <qi.hou@nxp.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Add interlace-mode back to caps for camera
	  skip_try_fmt_probes is set to TRUE for v4l2src to skip interlace-mode and
	  colorimetry when probe caps. gst_v4l2_object_set_format_full() will add
	  colorimetry back to caps when iterating over the negotiated caps. There is
	  one case that v4l2src is first in preview state then starts recording.
	  v4l2src caps will change with an additional interlace-mode structure after
	  renegotiation, then v4l2src needs to reset. But this camera driver can't
	  orphan buffer pool, it causes require buffer failed as streaming is still
	  in active state.
	  To fix this, also need to add interlace-mode back to caps for camera to
	  avoid reset.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/961>

2021-04-02 18:41:28 +0200  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* gst/rtp/gstrtpopuspay.c:
	* gst/rtp/gstrtpopuspay.h:
	* tests/check/elements/rtp-payloading.c:
	  rtpopuspay: set MARKER flag
	  Set MARKER flag on first buffer after DTX.
	  According to RFC 3551 section 4.1 the marker bit needs to be set on
	  "the first packet after a silence period during which packets have
	  not been transmitted contiguously".
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/967>

2021-03-31 11:18:30 +0200  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* docs/gst_plugins_cache.json:
	* gst/rtp/gstrtpopuspay.c:
	* gst/rtp/gstrtpopuspay.h:
	* tests/check/elements/rtp-payloading.c:
	  rtpopuspay: add DTX support
	  If enabled, the payloader won't transmit empty frames.
	  Can be tested using:
	  opusenc dtx=true bitrate-type=vbr ! rtpopuspay dtx=true
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/967>

2021-04-24 11:15:50 -0400  Doug Nazar <nazard@nazar.ca>

	* ext/taglib/gstid3v2mux.cc:
	  taglib: Update createFrame() to non-deprecated version.
	  ID3v2::FrameFactory::createFrame() versions not taking a Header have
	  been deprecated since v1.5 (Jan 2008).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/965>

2021-04-25 02:16:45 +0200  Havard Graff <havard@pexip.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	* tests/check/elements/rtpjitterbuffer.c:
	  rtpjitterbuffer: fix divide-by-zero
	  The estimated packet-duration can sometimes end up as zero, and dividing
	  by that is never a good idea...
	  The test reproduces the scenario, and the fix is easy.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/966>

2020-06-02 19:38:33 +0200  Havard Graff <havard@pexip.com>

	  rtpjitterbuffer: clean up and improve missing packets handling
	  * Try to make variable and function names more clear.
	  * Add plenty of comments describing the logic step-by-step.
	  * Improve the logging around this, making the logs easier to read and
	  understand when debugging these issues.
	  * Revise the logic of packets that are actually beyond saving in doing
	  the following:
	  1. Do an optimistic estimation of which packets can still arrive.
	  2. Based on this, find which packets (and duration) are now hopelessly
	  lost.
	  3. Issue an immediate lost-event for the hopelessly lost and then add
	  lost/rtx timers for the ones we still hope to save, meaning that if
	  they are to arrive, they will not be discarded.
	  * Revise the use of rtx-delay:
	  Earlier the rtx-delay would vary, depending on the pts of the latest
	  packet and the estimated pts of the packet it being issued a RTX for,
	  but now that we aim to estimate the PTS of the missing packet accurately,
	  the RTX delay should remain the same for all packets.
	  Meaning: If the packet have a PTS of X, the delay in asked for a RTX
	  for this packet is always a constant X + delay, not a variable one.
	  * Finally ensure that the chaotic "check-for-stall" tests uses timestamps
	  that starts from 0 to make them easier to debug.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/952>

2021-04-23 12:07:52 +0200  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* gst/level/gstlevel.c:
	* gst/level/gstlevel.h:
	  level: make properties thread-safe
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/962>

2021-04-22 14:11:09 +0200  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* gst/level/gstlevel.c:
	  level: disable passthrough when audio-level-meta is enabled
	  Ensure we receive a writable buffer to add the meta.
	  Fix #878
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/962>

2021-04-23 08:28:06 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/matroska/matroska-mux.c:
	  matroskamux: Don't pass a non-GObject pointer to GST_DEBUG_OBJECT and similar
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/964>

2021-04-22 08:57:23 +0200  Edward Hervey <edward@centricular.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: Avoid generation of invalid timestamps
	  When updating timestamps and timer timeouts with a new offset, make sure that
	  the resulting value is valid (and not a negative (signed) value which ends up in
	  a massive (unsigned) value).
	  Fixes #571
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/960>

2021-04-21 18:41:08 +0100  Philippe Normand <philn@igalia.com>

	* sys/v4l2/v4l2_calls.c:
	  v4l2: Fix glib warning emitted when attribute query fails
	  The v4l2object is not a GstObject. Logging has to go through its dbg_obj
	  specially meant for this.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/959>

2021-03-25 13:20:38 +0100  VaL Doroshchuk <valentyn.doroshchuk@qt.io>

	* ext/qt/gstqtoverlay.cc:
	* tests/examples/qt/qmloverlay/overlay.py:
	  qmloverlay: Use first found GstGLVideoItem as widget property
	  GstGLVideoItem is required to render input video in the overlay's qml.
	  And currently qmlgloverlay requires to set this GstGLVideoItem to its widget property.
	  Instead of fetching GstGLVideoItem from the overlay's root object (root-item prop),
	  and setting it back as a widget (widget prop),
	  proposing to use found GstGLVideoItem in the current object hierarchy (passed in qml-scene) by default.
	  Also useful in Python, which solves the issue when casting gpointer <=> QQuickItem* is required.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/919>

2021-04-19 16:39:03 +0100  Tim-Philipp Müller <tim@centricular.com>

	* sys/v4l2/gstv4l2.c:
	  v4l2: fix debug category initialisation again
	  Would spew warnings on the rpi4 when calling into
	  gst_v4l2_object_get_codec_caps() from the probe_and_register()
	  function since the v4l2_debug category initialisation would
	  only be done later as part of the element/device provider
	  registration.
	  Also log things in the probe function to the v4l2 category
	  instead of the default category while we're at it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/956>

2021-04-19 01:29:33 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: Fix race saving seek event seqnum.
	  We need to save the seek seqnum before the flush stop event
	  since that will start the basesrc task which may send the segment
	  event before we're ready.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/954>

2021-03-31 10:52:14 +0200  Marco Felsch <m.felsch@pengutronix.de>

	* ext/qt/qtitem.cc:
	* ext/qt/qtitem.h:
	  qmlglsink: allow to set force-aspect-ratio property
	  Add the forceAspectRatio Q_PROPERTY to allow changing the aspect ratio
	  from QML code as well.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/937>

2021-04-19 11:14:00 +0100  Tim-Philipp Müller <tim@centricular.com>

	* sys/v4l2/v4l2_calls.c:
	  v4l2src: fix spurious SOURCE_CHANGED error-level log messages
	  They're harmless, and some drivers at least return EINVAL
	  instead of ENOTTY for unsupported events (here: uvcvideo).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/955>

2021-04-14 16:32:06 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/rtp/gstrtpsbcpay.c:
	  rtpsbcpay: remove use of packed struct for payload
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/950>

2021-04-14 11:13:45 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/dtmf/gstdtmfcommon.h:
	* gst/dtmf/gstrtpdtmfdepay.c:
	* gst/dtmf/gstrtpdtmfsrc.c:
	  dtmf: convert to bit accessors
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/949>

2021-04-13 09:23:12 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: Remove some dead code
	  stop is not used after this point, nor do we create a new segment
	  here since 84725d62b57bc74ce34abde755f35bf8f948f94d
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/940>

2021-04-10 02:53:51 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: Do not overwrite the known duration after a seek
	  This breaks the duration query and also the seeking query.
	  Broke in 5f1a732bc7b76a6f1b8aa5f26b6e76fbca0261c7
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/940>

2021-04-10 04:40:46 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: Just assign the segment instead of memcpy
	  Assignments copy by value, we don't need to memcpy...
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/940>

2021-04-13 11:30:51 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtpmanager/gstrtpjitterbuffer.c:
	  rtpjitterbuffer: Check srcresult before waiting on the condition variable too
	  It might've been set to FLUSHING between the last check and the waiting,
	  and in that case we'd be waiting here forever now.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/944>

2021-04-12 23:15:17 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/elements/rtpsession.c:
	  rtp: fix test_twcc_header_and_run to support big endian.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/942>

2021-04-12 23:13:15 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/rtpmanager/rtptwcc.c:
	  rtp: fix rtptwcc to support big endian.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/942>

2021-04-12 21:59:45 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/rtpmanager/gstrtphdrext-rfc6464.c:
	  rtp: fix rtphdrextrfc6464 to support big endian.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/942>

2021-04-12 21:36:58 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/elements/alpha.c:
	  tests: Fix alpha test on big endian machines.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/943>

2021-03-19 02:51:20 +1100  Jan Schmidt <jan@centricular.com>

	* gst/isomp4/gstqtmux.c:
	* gst/isomp4/gstqtmux.h:
	  qtmux: Protect against writing absurd sample durations
	  If the input DTS goes backward or is missing, the calculated
	  sample duration goes negative and wraps around to a very big
	  number. In that case, just write a sample with a duration of
	  0 and hope the problem is transient.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/914>

2021-04-10 03:09:44 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: De-dup seek event seqnums to avoid multiple seeks
	  Seek events are sent upstream on each sink, so if we receive multiple
	  seeks with the same seqnum, we must only perform one seek, not N seeks
	  where N = the number of sinks in the pipeline connected to rtspsrc.
	  This is the same thing done by demuxers like qtdemux or matrsokademux.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/938>

2021-04-10 01:55:28 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: Using multicast UDP has no relation to seekability
	  The transport has no relation to whether a media can be seeked. The
	  range response having a duration is the correct thing to check for.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/939>

2021-04-10 01:54:48 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: Add more logging for range parsing and seekable
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/939>

2021-04-10 14:47:23 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst_plugins_cache.json:
	  videocrop: Update documentation cache
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/515>

2021-04-07 21:57:11 +0200  Markus Ebner <info@ebner-markus.de>

	* gst/videocrop/gstvideocrop-private.h:
	* gst/videocrop/gstvideocrop.c:
	* gst/videocrop/gstvideocrop.h:
	  videocrop: Add support for GBR* video formats
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/515>

2021-04-07 18:54:49 +0200  Markus Ebner <info@ebner-markus.de>

	* gst/videocrop/gstvideocrop-private.h:
	* gst/videocrop/gstvideocrop.c:
	* gst/videocrop/gstvideocrop.h:
	  videocrop: Added support for planar pixel formats > 8bits
	  - Added support for planar pixel formats with depths greater than 8bits
	  to transform_planar implementation
	  - Added a whole lot of new pixel formats to the support-list
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/515>

2021-04-07 17:52:34 +0200  Markus Ebner <info@ebner-markus.de>

	* gst/videocrop/gstaspectratiocrop.c:
	* gst/videocrop/gstvideocrop-private.h:
	* gst/videocrop/gstvideocrop.c:
	  videocrop: Move supported format list into private header
	  - Moved declaration of supported pixel formats to private header, which
	  can be shared between videocrop and aspectvideocrop
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/515>

2021-04-06 17:02:34 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/rtpmanager/rtpjitterbuffer.c:
	  rtpjitterbuffer: More logging when calculating rfc7273 timestamps
	  This code can be fragile, since it is very exacting in the timestamps
	  that it will accept. Add more logging so it's easier to debug issues
	  and figure out whether it's a bug in the calculation or something
	  wrong in the incoming buffers.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/934>

2021-04-08 13:29:10 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* gst/rtp/gstrtph264depay.c:
	* gst/rtp/gstrtph265depay.c:
	* gst/rtp/gstrtpsv3vdepay.c:
	  rtp: missing debug init after element splitting
	  - h264depay
	  - h265depay
	  - sv3vdepay
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/936>

2020-03-30 09:29:07 +0200  Michal Dzik <michal.dzik@streamunlimited.com>

	* gst/rtp/gstrtpsbcpay.c:
	  rtp: rename gst_rtp_sbc_pay_flush_buffers()
	  gst_rtp_sbc_pay_flush_buffers() is a misleading name. A better name would
	  be gst_rtp_sbc_pay_drain_buffers(), because that's what it does, it drains
	  any leftover queued data and pushes it downstream. "Flushing" in GStreamer
	  typically means to throw away any queued data and not process/push it
	  downstream.
	  Signed-off-by: Michal Dzik <michal.dzik@streamunlimited.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/700>

2020-03-24 13:31:00 +0100  Michal Dzik <michal.dzik@streamunlimited.com>

	* gst/rtp/gstrtpsbcpay.c:
	  rtp: fix adapter flushing in sbc payloader
	  GstAdapter must be flushed in some cases (flush, new segment, state change)
	  Without it, it may, for example, push some leftover buffer from old
	  segment in new segment. This, in general, breaks timestamps.
	  See GstAdapter documentation for more.
	  Signed-off-by: Michal Dzik <michal.dzik@streamunlimited.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/700>

2020-08-18 20:16:06 +0200  Jakub Adam <jakub.adam@collabora.com>

	* ext/vpx/gstvpxenc.c:
	  vpxenc: add colorspace information into VP9 bitstream
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/871>

2021-03-26 16:26:22 +0800  Hou Qi <qi.hou@nxp.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Use default colorimetry if that in caps is unknown
	  Some streams have unknown colorimetry in caps, but v4l2object sets
	  default values for each primaries. It will cause check colorimetry
	  fail when do gst_v4l2_video_colorimetry_matches().
	  To fix this, need to keep the unknown colorimetry in caps same as
	  the default value set by v4l2object.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/923>

2021-03-31 16:37:56 +0300  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst/matroska/matroska-demux.c:
	  matroskademux: Take segment stop into account when need_segment
	  Otherwise, in the case of e.g. a deferred seek event, the segment stop
	  would be replaced with GST_CLOCK_TIME_NONE.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/929>

2021-03-29 16:45:26 +0200  Val Doroshchuk <val@sevendof.com>

	* ext/qt/gstqtoverlay.cc:
	* ext/qt/gstqtoverlay.h:
	  gstqtoverlay: Add initialization and finalization to qml-scene prop
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/924>

2021-03-31 10:21:59 +1100  Matthew Waters <matthew@centricular.com>

	* ext/qt/gstqtglutility.h:
	  qt: fix build warning with clang and c-linkage of user defined type
	  In file included from ../subprojects/gst-plugins-good/ext/qt/qtglrenderer.cc:17:
	  ../subprojects/gst-plugins-good/ext/qt/gstqtglutility.h:35:16: error: 'qt_opengl_native_context_from_gst_gl_context' has C-linkage specified, but returns user-defined type 'QVariant' which is incompatible with C [-Werror,-Wreturn-type-c-linkage]
	  QVariant       qt_opengl_native_context_from_gst_gl_context     (GstGLContext * context);
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/928>

2021-03-30 09:45:45 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* ext/qt/gstqtelement.cc:
	* ext/qt/gstqtelements.h:
	* ext/qt/gstqtoverlay.cc:
	* ext/qt/gstqtsink.cc:
	* ext/qt/gstqtsrc.cc:
	  qt: hotfix: allow per feature registration
	  Fixes #869
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/925>

2021-02-17 08:52:40 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/twolame/gsttwolamemp2enc.c:
	* ext/twolame/gsttwolamemp2enc.h:
	  twolame: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 17:49:03 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/shout2/gstshout2.c:
	* ext/shout2/gstshout2.h:
	  shout2: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 17:38:46 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/cairo/gstcairo.c:
	* ext/cairo/gstcairooverlay.c:
	* ext/cairo/gstcairooverlay.h:
	  cairo: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 17:34:34 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/y4m/gsty4mencode.c:
	* gst/y4m/gsty4mencode.h:
	  y4m: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 17:32:26 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/wavparse/gstwavparse.c:
	* gst/wavparse/gstwavparse.h:
	  wavparse: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 17:29:40 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/wavenc/gstwavenc.c:
	* gst/wavenc/gstwavenc.h:
	  wavenc: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 17:27:24 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/spectrum/gstspectrum.c:
	* gst/spectrum/gstspectrum.h:
	  spectrum: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 17:27:12 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/monoscope/gstmonoscope.c:
	* gst/monoscope/gstmonoscope.h:
	  monoscope: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 17:22:47 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/imagefreeze/gstimagefreeze.c:
	* gst/imagefreeze/gstimagefreeze.h:
	  imagefreeze: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 17:19:52 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/id3demux/gstid3demux.c:
	* gst/id3demux/gstid3demux.h:
	  id3demux: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 17:16:33 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/icydemux/gsticydemux.c:
	* gst/icydemux/gsticydemux.h:
	  icydemux: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 17:14:26 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/goom2k1/gstgoom.c:
	* gst/goom2k1/gstgoom.h:
	  goom2k1: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 17:11:26 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/cutter/gstcutter.c:
	* gst/cutter/gstcutter.h:
	  cutter: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 17:11:14 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/goom/gstgoom.c:
	* gst/goom/gstgoom.h:
	  goom: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 17:10:33 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/deinterlace/gstdeinterlace.c:
	* gst/deinterlace/gstdeinterlace.h:
	  deinterlace: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 16:34:48 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* sys/oss4/gstoss4audioplugin.c:
	* sys/oss4/meson.build:
	* sys/oss4/oss4-audio.c:
	* sys/oss4/oss4-audio.h:
	* sys/oss4/oss4-sink.c:
	* sys/oss4/oss4-sink.h:
	* sys/oss4/oss4-source.c:
	* sys/oss4/oss4-source.h:
	  oss4: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 16:11:36 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* sys/oss/gstossaudio.c:
	* sys/oss/gstossaudioelement.c:
	* sys/oss/gstossaudioelements.h:
	* sys/oss/gstosssink.c:
	* sys/oss/gstosssrc.c:
	* sys/oss/meson.build:
	  oss: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 15:56:35 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/auparse/gstauparse.c:
	* gst/auparse/gstauparse.h:
	  auparse: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 15:29:06 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* sys/v4l2/gstv4l2.c:
	* sys/v4l2/gstv4l2deviceprovider.c:
	* sys/v4l2/gstv4l2element.c:
	* sys/v4l2/gstv4l2elements.h:
	* sys/v4l2/gstv4l2radio.c:
	* sys/v4l2/gstv4l2sink.c:
	* sys/v4l2/gstv4l2src.c:
	* sys/v4l2/meson.build:
	  v4l2: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 15:05:43 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/videofilter/gstgamma.c:
	* gst/videofilter/gstgamma.h:
	* gst/videofilter/gstvideobalance.c:
	* gst/videofilter/gstvideobalance.h:
	* gst/videofilter/gstvideoflip.c:
	* gst/videofilter/gstvideoflip.h:
	* gst/videofilter/gstvideomedian.c:
	* gst/videofilter/gstvideomedian.h:
	* gst/videofilter/plugin.c:
	  videofilter: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 14:58:57 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/videocrop/gstaspectratiocrop.c:
	* gst/videocrop/gstvideocrop.c:
	* gst/videocrop/gstvideocropelement.c:
	* gst/videocrop/gstvideocropelements.h:
	* gst/videocrop/gstvideocropplugin.c:
	* gst/videocrop/meson.build:
	  videocrop: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 14:54:15 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/videobox/gstvideobox.c:
	* gst/videobox/gstvideobox.h:
	  videobox: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 14:49:56 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/udp/gstdynudpsink.c:
	* gst/udp/gstmultiudpsink.c:
	* gst/udp/gstudp.c:
	* gst/udp/gstudpelement.c:
	* gst/udp/gstudpelements.h:
	* gst/udp/gstudpsink.c:
	* gst/udp/gstudpsrc.c:
	* gst/udp/meson.build:
	  udp: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 14:43:32 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/smpte/gstsmpte.c:
	* gst/smpte/gstsmpte.h:
	* gst/smpte/gstsmptealpha.c:
	* gst/smpte/gstsmptealpha.h:
	* gst/smpte/plugin.c:
	  smpte: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 14:38:37 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/shapewipe/gstshapewipe.c:
	* gst/shapewipe/gstshapewipe.h:
	  shapewipe: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 14:35:51 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/rtsp/gstrtpdec.c:
	* gst/rtsp/gstrtsp.c:
	* gst/rtsp/gstrtspelement.c:
	* gst/rtsp/gstrtspelements.h:
	* gst/rtsp/gstrtspsrc.c:
	* gst/rtsp/meson.build:
	  rtsp: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 14:24:33 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/rtpmanager/gstrtpbin.c:
	* gst/rtpmanager/gstrtpbin.h:
	* gst/rtpmanager/gstrtpdtmfmux.c:
	* gst/rtpmanager/gstrtpdtmfmux.h:
	* gst/rtpmanager/gstrtpfunnel.c:
	* gst/rtpmanager/gstrtpfunnel.h:
	* gst/rtpmanager/gstrtphdrext-rfc6464.c:
	* gst/rtpmanager/gstrtphdrext-rfc6464.h:
	* gst/rtpmanager/gstrtphdrext-twcc.c:
	* gst/rtpmanager/gstrtphdrext-twcc.h:
	* gst/rtpmanager/gstrtpjitterbuffer.c:
	* gst/rtpmanager/gstrtpjitterbuffer.h:
	* gst/rtpmanager/gstrtpmanager.c:
	* gst/rtpmanager/gstrtpmux.c:
	* gst/rtpmanager/gstrtpmux.h:
	* gst/rtpmanager/gstrtpptdemux.c:
	* gst/rtpmanager/gstrtpptdemux.h:
	* gst/rtpmanager/gstrtprtxqueue.c:
	* gst/rtpmanager/gstrtprtxqueue.h:
	* gst/rtpmanager/gstrtprtxreceive.c:
	* gst/rtpmanager/gstrtprtxreceive.h:
	* gst/rtpmanager/gstrtprtxsend.c:
	* gst/rtpmanager/gstrtprtxsend.h:
	* gst/rtpmanager/gstrtpsession.c:
	* gst/rtpmanager/gstrtpsession.h:
	* gst/rtpmanager/gstrtpssrcdemux.c:
	* gst/rtpmanager/gstrtpssrcdemux.h:
	* gst/rtpmanager/gstrtpst2022-1-fecdec.c:
	* gst/rtpmanager/gstrtpst2022-1-fecdec.h:
	* gst/rtpmanager/gstrtpst2022-1-fecenc.c:
	* gst/rtpmanager/gstrtpst2022-1-fecenc.h:
	  rtpmanager: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 13:49:15 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/replaygain/gstrganalysis.c:
	* gst/replaygain/gstrglimiter.c:
	* gst/replaygain/gstrglimiter.h:
	* gst/replaygain/gstrgvolume.c:
	* gst/replaygain/gstrgvolume.h:
	* gst/replaygain/replaygain.c:
	* gst/replaygain/rganalysis.h:
	  replaygain: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 13:43:44 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/multipart/multipart.c:
	* gst/multipart/multipartdemux.c:
	* gst/multipart/multipartdemux.h:
	* gst/multipart/multipartmux.c:
	* gst/multipart/multipartmux.h:
	  multipart: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 12:04:26 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/multifile/gstimagesequencesrc.c:
	* gst/multifile/gstimagesequencesrc.h:
	* gst/multifile/gstmultifile.c:
	* gst/multifile/gstmultifilesink.c:
	* gst/multifile/gstmultifilesink.h:
	* gst/multifile/gstmultifilesrc.c:
	* gst/multifile/gstmultifilesrc.h:
	* gst/multifile/gstsplitfilesrc.c:
	* gst/multifile/gstsplitfilesrc.h:
	* gst/multifile/gstsplitmuxsink.c:
	* gst/multifile/gstsplitmuxsink.h:
	* gst/multifile/gstsplitmuxsrc.c:
	* gst/multifile/gstsplitmuxsrc.h:
	  multifile: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 11:14:17 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/matroska/gstmatroskaelement.c:
	* gst/matroska/gstmatroskaelements.h:
	* gst/matroska/matroska-demux.c:
	* gst/matroska/matroska-demux.h:
	* gst/matroska/matroska-mux.c:
	* gst/matroska/matroska-parse.c:
	* gst/matroska/matroska-parse.h:
	* gst/matroska/matroska.c:
	* gst/matroska/meson.build:
	* gst/matroska/webm-mux.c:
	  matroska: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 10:59:34 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/level/gstlevel.c:
	* gst/level/gstlevel.h:
	  level: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 10:57:58 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/law/alaw-decode.c:
	* gst/law/alaw-decode.h:
	* gst/law/alaw-encode.c:
	* gst/law/alaw-encode.h:
	* gst/law/alaw.c:
	* gst/law/mulaw-decode.c:
	* gst/law/mulaw-decode.h:
	* gst/law/mulaw-encode.c:
	* gst/law/mulaw-encode.h:
	* gst/law/mulaw.c:
	  law: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 10:26:40 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/isomp4/gstisomp4element.c:
	* gst/isomp4/gstisomp4elements.h:
	* gst/isomp4/gstqtmoovrecover.c:
	* gst/isomp4/gstqtmux.c:
	* gst/isomp4/gstrtpxqtdepay.c:
	* gst/isomp4/isomp4-plugin.c:
	* gst/isomp4/meson.build:
	* gst/isomp4/qtdemux.c:
	  isomp4: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 09:57:27 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/interleave/deinterleave.c:
	* gst/interleave/gstinterleaveelements.h:
	* gst/interleave/interleave.c:
	* gst/interleave/plugin.c:
	  interleave: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-16 09:51:16 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/flx/gstflxdec.c:
	* gst/flx/gstflxdec.h:
	  flx: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-15 17:37:09 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/flv/gstflvdemux.c:
	* gst/flv/gstflvelement.c:
	* gst/flv/gstflvelements.h:
	* gst/flv/gstflvmux.c:
	* gst/flv/gstflvplugin.c:
	* gst/flv/meson.build:
	  flv: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-15 17:27:51 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/equalizer/gstiirequalizer.c:
	* gst/equalizer/gstiirequalizer.h:
	* gst/equalizer/gstiirequalizer10bands.c:
	* gst/equalizer/gstiirequalizer3bands.c:
	* gst/equalizer/gstiirequalizernbands.c:
	* gst/equalizer/gstiirequalizerplugin.c:
	* gst/equalizer/meson.build:
	  equalizer: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-15 15:37:52 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/effectv/gstaging.c:
	* gst/effectv/gstdice.c:
	* gst/effectv/gstedge.c:
	* gst/effectv/gsteffectv.c:
	* gst/effectv/gsteffectv.h:
	* gst/effectv/gstop.c:
	* gst/effectv/gstquark.c:
	* gst/effectv/gstradioac.c:
	* gst/effectv/gstrev.c:
	* gst/effectv/gstripple.c:
	* gst/effectv/gstshagadelic.c:
	* gst/effectv/gststreak.c:
	* gst/effectv/gstvertigo.c:
	* gst/effectv/gstwarp.c:
	  effectv: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-15 15:03:10 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/dtmf/gstdtmf.c:
	* gst/dtmf/gstdtmfsrc.c:
	* gst/dtmf/gstdtmfsrc.h:
	* gst/dtmf/gstrtpdtmfdepay.c:
	* gst/dtmf/gstrtpdtmfdepay.h:
	* gst/dtmf/gstrtpdtmfsrc.c:
	* gst/dtmf/gstrtpdtmfsrc.h:
	  dtmf: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-15 14:55:15 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/debugutils/breakmydata.c:
	* gst/debugutils/cpureport.c:
	* gst/debugutils/gstcapsdebug.c:
	* gst/debugutils/gstcapssetter.c:
	* gst/debugutils/gstdebug.c:
	* gst/debugutils/gstdebugutilselements.h:
	* gst/debugutils/gstnavigationtest.c:
	* gst/debugutils/gstnavigationtest.h:
	* gst/debugutils/gstnavseek.c:
	* gst/debugutils/gstpushfilesrc.c:
	* gst/debugutils/gsttaginject.c:
	* gst/debugutils/progressreport.c:
	* gst/debugutils/rndbuffersize.c:
	* gst/debugutils/testplugin.c:
	  debugutils: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-15 13:38:21 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/avi/gstavi.c:
	* gst/avi/gstavidemux.c:
	* gst/avi/gstavielement.c:
	* gst/avi/gstavielements.h:
	* gst/avi/gstavimux.c:
	* gst/avi/gstavisubtitle.c:
	* gst/avi/meson.build:
	  avi: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-15 13:02:59 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/autodetect/gstautoaudiosink.c:
	* gst/autodetect/gstautoaudiosrc.c:
	* gst/autodetect/gstautodetect.c:
	* gst/autodetect/gstautodetect.h:
	* gst/autodetect/gstautodetectelement.c:
	* gst/autodetect/gstautodetectelements.h:
	* gst/autodetect/gstautodetectplugin.c:
	* gst/autodetect/gstautovideosink.c:
	* gst/autodetect/gstautovideosrc.c:
	* gst/autodetect/meson.build:
	  autodetect: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-15 13:00:38 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/audioparsers/gstaacparse.c:
	* gst/audioparsers/gstac3parse.c:
	* gst/audioparsers/gstamrparse.c:
	* gst/audioparsers/gstaudioparserselements.h:
	* gst/audioparsers/gstdcaparse.c:
	* gst/audioparsers/gstflacparse.c:
	* gst/audioparsers/gstmpegaudioparse.c:
	* gst/audioparsers/gstsbcparse.c:
	* gst/audioparsers/gstwavpackparse.c:
	* gst/audioparsers/plugin.c:
	  audioparsers: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-15 12:44:31 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/apetag/gstapedemux.c:
	* gst/apetag/gstapedemux.h:
	  apetag: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-15 11:00:46 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/vpx/gstvp8dec.c:
	* ext/vpx/gstvp8enc.c:
	* ext/vpx/gstvp9dec.c:
	* ext/vpx/gstvp9enc.c:
	* ext/vpx/gstvpxelement.c:
	* ext/vpx/gstvpxelements.h:
	* ext/vpx/meson.build:
	* ext/vpx/plugin.c:
	  vpx: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-12 17:26:36 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/taglib/gstapev2mux.cc:
	* ext/taglib/gstid3v2mux.cc:
	* ext/taglib/gsttaglibelement.c:
	* ext/taglib/gsttaglibelements.h:
	* ext/taglib/gsttaglibplugin.c:
	* ext/taglib/meson.build:
	  taglib: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-12 17:09:19 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/qt/gstplugin.cc:
	* ext/qt/gstqtelement.cc:
	* ext/qt/gstqtelements.h:
	* ext/qt/gstqtoverlay.cc:
	* ext/qt/gstqtsink.cc:
	* ext/qt/gstqtsrc.cc:
	* ext/qt/meson.build:
	* ext/qt/qtplugin.pro:
	  qt: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-12 16:09:53 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/speex/gstspeex.c:
	* ext/speex/gstspeexdec.c:
	* ext/speex/gstspeexelement.c:
	* ext/speex/gstspeexelements.h:
	* ext/speex/gstspeexenc.c:
	* ext/speex/meson.build:
	  speex: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-12 16:04:16 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/soup/gstsoup.c:
	* ext/soup/gstsoupelement.c:
	* ext/soup/gstsoupelements.h:
	* ext/soup/gstsouphttpclientsink.c:
	* ext/soup/gstsouphttpsrc.c:
	* ext/soup/meson.build:
	  soup: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-12 15:53:19 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/raw1394/gst1394.c:
	* ext/raw1394/gstdv1394src.c:
	* ext/raw1394/gstdv1394src.h:
	* ext/raw1394/gsthdv1394src.c:
	* ext/raw1394/gsthdv1394src.h:
	  raw1394: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-12 15:47:46 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/wavpack/gstwavpack.c:
	* ext/wavpack/gstwavpackdec.c:
	* ext/wavpack/gstwavpackelement.c:
	* ext/wavpack/gstwavpackelements.h:
	* ext/wavpack/gstwavpackenc.c:
	* ext/wavpack/meson.build:
	  wavpack: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-12 15:35:11 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/alpha/gstalpha.c:
	* gst/alpha/gstalpha.h:
	  alpha: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/876>

2021-02-12 15:27:31 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/audiofx/audioamplify.c:
	* gst/audiofx/audioamplify.h:
	* gst/audiofx/audiochebband.c:
	* gst/audiofx/audiochebband.h:
	* gst/audiofx/audiocheblimit.c:
	* gst/audiofx/audiocheblimit.h:
	* gst/audiofx/audiodynamic.c:
	* gst/audiofx/audiodynamic.h:
	* gst/audiofx/audioecho.c:
	* gst/audiofx/audioecho.h:
	* gst/audiofx/audiofirfilter.c:
	* gst/audiofx/audiofirfilter.h:
	* gst/audiofx/audiofx.c:
	* gst/audiofx/audioiirfilter.c:
	* gst/audiofx/audioiirfilter.h:
	* gst/audiofx/audioinvert.c:
	* gst/audiofx/audioinvert.h:
	* gst/audiofx/audiokaraoke.c:
	* gst/audiofx/audiokaraoke.h:
	* gst/audiofx/audiopanorama.c:
	* gst/audiofx/audiopanorama.h:
	* gst/audiofx/audiowsincband.c:
	* gst/audiofx/audiowsincband.h:
	* gst/audiofx/audiowsinclimit.c:
	* gst/audiofx/audiowsinclimit.h:
	* gst/audiofx/gstscaletempo.c:
	* gst/audiofx/gstscaletempo.h:
	* gst/audiofx/gststereo.c:
	* gst/audiofx/gststereo.h:
	  audiofx: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
